gst-plugins-bad1.0 (1.28.4-1ubuntu1) stonking; urgency=medium

  [ Charles ]
  * Resynchronize with Debian. Remaining changes:
    - d/rules:
      + Disable LTO on ppc64el & s390x.
      + Enable Vulkan, SDL3 is available in Ubuntu (and Debian,
        but they disable there for some reason.)
    - d/gbp.conf: Ubuntu VCS tags.
    - Don't build wpewebkit plugins (gstreamer1.0-wpe).
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules: Disable unavailable features on i386
      + Don't require these Build-Depends on i386: libfreeaptx-dev,
        liblrdf0-dev, libltc-dev, libneon27-dev, libzxing-dev, libopenni2-dev,
        libqrencode-dev,  libtensorflow-lite-dev, and libzxing-dev.
      + Disable ladspa, neon, openaptx, openni2, qroverlay, vulkan,
        tflite, and hip on i386, since they're not built there for
        Ubuntu.
    - d/libgstreamer-plugins-bad1.0-0.install:
      + Stop installing basecamerabin, codecparsers, codecs, photography
        and play - plugins which have moved to -good.
      + d/rules: Remove these modules from the -bad package.
    - plugins-extra split:
      + Introduce a new package containing a subset of -bad plugins
        that will be included in Ubuntu main.
        - libgstcamerabin, libgstcodecparsers, libgstcodecs, libgstphotography, libgstplay
      + Have gstreamer1.0-plugins-bad depend on gstreamer1.0-plugins-extra.
      + Replace+Break gstreamer1.0-plugins-good versions where -bad
        plugins were patched in.
      + libgstreamer-plugins-extra1.0-0.symbols: Add symbol file for new package.
      + d/rules: Manually move the remaining components from -bad into -extra.
    - d/patches/openssl4-dtls-bio-retry-read.patch: Fix FTBFS with
      OpenSSL4 (Closes: 1138375) (LP: #2154923)

 -- Charles <charles05@canonical.com>  Thu, 18 Jun 2026 18:04:23 +0100

gst-plugins-bad1.0 (1.28.4-1) unstable; urgency=medium

  * New upstream version 1.28.4

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Jun 2026 09:09:07 +0200

gst-plugins-bad1.0 (1.28.3-1) unstable; urgency=medium

  * New upstream version 1.28.3
  * d/control: bump BD libgstreamer1.0-dev to 1.28.3
  * d/patches: refresh

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 May 2026 10:14:58 +0200

gst-plugins-bad1.0 (1.28.2-2) unstable; urgency=medium

  * d/control: bring orc build dependency with meson version
  * d/control: remove libkate-dev from Build-Depends (Closes: #1134864)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 Apr 2026 10:40:31 +0200

gst-plugins-bad1.0 (1.28.2-1ubuntu2) stonking; urgency=medium

  * No-change rebuild for libopenexr-3-4-33.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 May 2026 11:40:08 +0100

gst-plugins-bad1.0 (1.28.2-1ubuntu1) resolute; urgency=medium

  [ Charles ]
  * Resynchronize with Debian (LP: #2148109). Remaining changes:
    - d/rules:
      + Depend on gobject-introspection.
      + Enable Vulkan, SDL3 is available in Ubuntu (and Debian,
        but they disable there for some reason.)
    - Don't build wpewebkit plugins (gstreamer1.0-wpe).
    - d/libgstreamer-plugins-bad1.0-0.install:
      + Stop installing basecamerabin, codecparsers, codecs, photography
        and play - plugins which have moved to -good.
      + d/rules: Remove these modules from the -bad package.
    - d/gbp.conf: Ubuntu VCS tags.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules: Disable unavailable features on i386
      + Don't require these Build-Depends on i386: libfreeaptx-dev,
        liblrdf0-dev, libltc-dev, libneon27-dev, libzxing-dev, libopenni2-dev,
        libqrencode-dev,  libtensorflow-lite-dev, and libzxing-dev.
      + Disable ladspa, neon, openaptx, openni2, qroverlay, vulkan,
        tflite, and hip on i386, since they're not built there for
        Ubuntu.
    - plugins-extra split:
      + Introduce a new package containing a subset of -bad plugins
        that will be included in Ubuntu main.
        - libgstcamerabin, libgstcodecparsers, libgstcodecs, libgstphotography, libgstplay
      + Have gstreamer1.0-plugins-bad depend on gstreamer1.0-plugins-extra.
      + Replace+Break gstreamer1.0-plugins-good versions where -bad
        plugins were patched in.
      + libgstreamer-plugins-extra1.0-0.symbols: Add symbol file for new package.
      + d/rules: Manually move the remaining components from -bad into -extra.
    - Disable LTO on ppc64el & s390x.
    - d/libgstreamer-plugins-extra1.0-0.symbols: Update for new release.

  [ Jeremy Bícha ]
  * Stop having the extra -dev package depend on
    libgstreamer-plugins-good1.0-dev (LP: #2147647)

 -- Charles <charles05@canonical.com>  Sun, 22 Mar 2026 12:42:45 +0000

gst-plugins-bad1.0 (1.28.2-1) unstable; urgency=medium

  * New upstream version 1.28.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 08 Apr 2026 10:35:38 +0200

gst-plugins-bad1.0 (1.28.1-3) unstable; urgency=medium

  [ Marc Leeman ]
  * d/watch: pin to 1.28.x

  [ Dylan Aïssi ]
  * Build the ONNX neural network plugin (Closes: #1132821)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Apr 2026 08:25:58 +0200

gst-plugins-bad1.0 (1.28.1-2ubuntu3) resolute; urgency=medium

  * Stop having the bad -dev package depend on libgstreamer-plugins-good1.0-dev
    (LP: #2147647)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 Apr 2026 10:35:47 -0400

gst-plugins-bad1.0 (1.28.1-2ubuntu2) resolute; urgency=medium

  * d/rules: Move newly added GstCodecParsers-1.0.{gir,typelib} to the
    -extra package to avoid a -extra->-bad dependency.
  * d/control: update the B/R versions accordingly

 -- Charles <charles05@canonical.com>  Tue, 24 Mar 2026 08:46:08 +0100

gst-plugins-bad1.0 (1.28.1-2ubuntu1) resolute; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - d/rules:
      + Depend on gobject-introspection.
      + Build ONNX neural network plugin.
      + Enable Vulkan, SDL3 is available in Ubuntu (and Debian,
        but they disable there for some reason.)
    - Don't build wpewebkit plugins (gstreamer1.0-wpe).
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
      + d/control: Have libgstreamer-plugins-bad1.0-dev depend on
        libgstreamer-plugins-good1.0-dev to reflect the above.
      + d/rules: Remove these modules from the -bad package.
    - d/gbp.conf: Ubuntu VCS tags.
    - d/p/pcfile-requires-plugins-good:
      Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules: Disable unavailable features on i386
      + Don't require these Build-Depends on i386: libfreeaptx-dev,
        liblrdf0-dev, libltc-dev, libneon27-dev, libzxing-dev, libopenni2-dev,
        libqrencode-dev,  libtensorflow-lite-dev, and libzxing-dev.
      + Disable ladspa, neon, openaptx, openni2, qroverlay, vulkan,
        tflite, and hip on i386, since they're not built there for
        Ubuntu.
    - plugins-extra split:
      + Introduce a new package containing a subset of -bad plugins
        that will be included in Ubuntu main.
        - libgstcamerabin, libgstcodecparsers, libgstcodecs, libgstphotography, libgstplay
      + Have gstreamer1.0-plugins-bad depend on gstreamer1.0-plugins-extra.
      + Replace+Break gstreamer1.0-plugins-good versions where -bad
        plugins were patched in.
      + libgstreamer-plugins-extra1.0-0.symbols: Add symbol file for new package.
      + d/rules: Manually move the remaining components from -bad into -extra.
    - Disable LTO on ppc64el & s390x.
    - d/libgstreamer-plugins-extra1.0-0.symbols: Update for new release.

 -- Charles <charles05@canonical.com>  Sun, 22 Mar 2026 12:42:45 +0000

gst-plugins-bad1.0 (1.28.1-2) unstable; urgency=medium

  * Revert "Build the ONNX neural network plugin"
  * Overdue closing of security bug with release of new upstream 1.28.1
    (Closes: #1130059)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 10 Mar 2026 10:53:38 +0100

gst-plugins-bad1.0 (1.28.1-1) unstable; urgency=medium

  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 11:16:23 +0100

gst-plugins-bad1.0 (1.28.0-1ubuntu2) resolute; urgency=medium

  * Introduce -extra set (LP: #2089260)
    - Ubuntu needs to distribute -bad in the universe repositories,
      which causes several downstream packaging issues due to
      applications in the main repositories depending on some of the
      -bad elements.
    - plugins-extra will contains a subset of the -bad plugins deemed
      "not so bad". The naming convention comes from
      https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6130
    - Start with camerasrcbin, gstva, and gstplay, to ease the Ubuntu
      paperwork required for transitioning packages from universe to
      main. This will allow us to get rid of downstream (from Ubuntu)
      packaging changes to awkwardly move elements from -bad to -good,
      and some vendoring in GTK (for a now defunct
      GstPlayer). Eventually, much of -bad would end up in -extra,
      with only legally encumbered or truly bad plugins remaining.
  * Fold jpegformat, camerabin, gstphotography back into the bad
    source. They were being vendored in -good until 1.26.4-1ubuntu2.
  * From MIR review (LP #2121050)
    - Start tracking libgstreamer-plugins-extra1.0-0.symbols.
    - Disable LTO on ppc64el & s390x.

 -- Charles <charles05@canonical.com>  Wed, 18 Feb 2026 10:01:32 +0000

gst-plugins-bad1.0 (1.28.0-1ubuntu1) resolute; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins (gstreamer1.0-wpe)
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
      + d/control: Have libgstreamer-plugins-bad1.0-dev depend on
        libgstreamer-plugins-good1.0-dev to reflect the above.
      + d/rules: Remove these modules from the -bad package.
    - d/gbp.conf: Ubuntu VCS tags.
    - d/p/pcfile-requires-plugins-good:
      Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules: Disable unavailable features on i386
      + Don't require these Build-Depends on i386: libfreeaptx-dev,
        liblrdf0-dev, libltc-dev, libneon27-dev, libzxing-dev, libopenni2-dev,
        libqrencode-dev,  libtensorflow-lite-dev, and libzxing-dev.
      + Disable ladspa, neon, openaptx, openni2, qroverlay, vulkan,
        tflite, and hip on i386, since they're not built there for
        Ubuntu.
    - d/rules: Enable Vulkan, SDL3 is available in Ubuntu (and Debian,
      but they disable there for some reason.)

 -- Charles <charles05@canonical.com>  Thu, 29 Jan 2026 13:45:53 +0000

gst-plugins-bad1.0 (1.28.0-1) unstable; urgency=medium

  [ Marc Leeman ]
  * d/rules: disable tflite
  * d/rules: disable wpe2
  * d/install: gsty4m moved to good
  * d/install: install libgsthip.so
  * d/control: remove  superfluous-file-pattern gst/y4m/gsty4mdec.[ch]
  * d/control: bump minimal version after new symbols
  * d/control: libvulkan-dev minimal 1.4.317
  * d/copyright: superfluous-file-pattern gst/inter/gstintertest.c
  * d/patches: refresh Skip-failing-tests
  * d/rules: disable mpeghdec, not in debian
  * d/rules: disable vmaf, not in debian
  * d/patches: avoid vmaf_dep in checks when vmaf is disabled
  * d/rules: disable vulkan, dependency sdl3 not in debian
  * d/control: remove libvulkan-dev because of sdl3 dep
  * d/install: install libgsthip
  * d/: do not enable hip elements on hurd
  * d/rules: not hurd is linux
  * New upstream version 1.28.0
  * Revert "d/gbp.conf: adjust for experimental"
  * d/control: update dependencies to 1.28.0
  * d/patches: refresh

  [ Dylan Aïssi ]
  * Build the TensorFlow Lite (LiteRT) plugin

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 14:22:06 +0100

gst-plugins-bad1.0 (1.26.10-2) unstable; urgency=medium

  * re-upload bad to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 08 Jan 2026 11:02:48 +0100

gst-plugins-bad1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 18:11:00 +0100

gst-plugins-bad1.0 (1.26.9-1) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.2
  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 09:50:33 +0100

gst-plugins-bad1.0 (1.26.8-1) unstable; urgency=medium

  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 10:45:58 +0100

gst-plugins-bad1.0 (1.26.7-2) unstable; urgency=medium

  * Team upload

  [ Marc Leeman ]
  * d/control: bump meson version to match meson.build

  [ Charles ]
  * Add several more autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 17:48:43 -0500

gst-plugins-bad1.0 (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 10:05:19 +0200

gst-plugins-bad1.0 (1.26.6-5) unstable; urgency=medium

  * autopkgtest: Don't run on riscv64
  * Revert increasing the build test timeout since it was ineffective

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 Oct 2025 11:42:50 -0400

gst-plugins-bad1.0 (1.26.6-4) unstable; urgency=medium

  * Increase build test timeout for riscv64 autopkgtest
  * Stop skipping the curl redirect build test (Closes: #1114141)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Oct 2025 15:22:53 -0400

gst-plugins-bad1.0 (1.26.6-3) unstable; urgency=medium

  * Team upload
  * Fix logic error in big endian skip test patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Oct 2025 04:46:44 -0400

gst-plugins-bad1.0 (1.26.6-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Skip a redirect test that began failing once curl was updated to 8.16
    (Closes: #1098871. Mitigates: #1114141.)
  * Add patches to skip specific tests on some architectures
  * Stop ignoring non-skipped test failures on release architectures
  * Add an autopkgtest to ensure that build tests still pass when dependencies
    change
  * Restore default soundfont patch (Closes: #1018145)

  [ Simon McVittie ]
  * d/control: Add Build-Depends on systematic names for gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * gir1.2-gst-plugins-bad-1.0: Add ${gir:Provides}
  * libgstreamer-plugins-bad1.0-dev: Add ${gir:Provides}
  * libgstreamer-plugins-bad1.0-dev: Add ${gir:Depends}

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 07 Oct 2025 20:24:44 -0400

gst-plugins-bad1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 10:59:29 +0200

gst-plugins-bad1.0 (1.26.5-2) unstable; urgency=medium

  * trixie has been released, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 09:27:09 +0200

gst-plugins-bad1.0 (1.26.5-1ubuntu2) questing; urgency=medium

  * Fix failing zbar test
    See: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4592

 -- Charles <charles05@canonical.com>  Thu, 04 Sep 2025 20:18:54 +0100

gst-plugins-bad1.0 (1.26.5-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 21:00:25 +0200

gst-plugins-bad1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:07:45 +0200

gst-plugins-bad1.0 (1.26.4-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 21:00:25 +0200

gst-plugins-bad1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 20:01:00 +0200

gst-plugins-bad1.0 (1.26.3-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev
  * Fixes (LP: #2109413)

 -- Charles Turner <charles.turner@canonical.com>  Wed, 02 Jul 2025 16:14:25 +0100

gst-plugins-bad1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3
  * d/copyright: superfluous-file-pattern
  * d/copyright: correct SPDX format
  * d/copyright: missing-license-paragraph-in-dep5-copyright
  * d/patches: update failing tests

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 12:21:28 +0200

gst-plugins-bad1.0 (1.26.2-2) unstable; urgency=medium

  * Revert "d/rules: gstcuda missing on arm" (Closes: #1107628)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 11 Jun 2025 13:21:39 +0200

gst-plugins-bad1.0 (1.26.2-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Jun 2025 14:02:10 -0400

gst-plugins-bad1.0 (1.26.2-1) unstable; urgency=medium

  * d/copyright: start converting to dep-5
  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:28:42 +0200

gst-plugins-bad1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * d/patches: remove 0002-test-latomic.patch
  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 09:47:03 +0200

gst-plugins-bad1.0 (1.26.0-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:51:03 +0200

gst-plugins-bad1.0 (1.26.0-1ubuntu2) plucky; urgency=medium

  * Rebuild against latest onnxruntime

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 12:45:14 -0400

gst-plugins-bad1.0 (1.26.0-1ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 08:41:24 -0400

gst-plugins-bad1.0 (1.26.0-1) unstable; urgency=medium

  [ Marc Leeman ]
  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/patches: remove 0001-fix-build-without-wayland.patch
  * d/patches: refresh Skip-failing-tests.patch
  * d/rules: cuda-nvmm not available in debian yet
  * d/rules: disable android media
  * d/rules: cevc not in debian yet
  * d/rules: nvcomp not in debian yet
  * d/rules: nvdswrapper not in debian yet
  * d/rules: svtjpegxs not in debian yet
  * d/install: install libgsttensordecoders.so
  * d/control: bump GStreamer version dependency
  * d/patches: test for latomic generic
  * d/rules: gstcuda missing on arm
  * d/patches: disable libs_vkwindow elements_vkdeviceprovider
  * Revert "d/install: remove libweebrtcdsp"
  * d/: disable webrtcdsp for hurd
  * d/control: update dependency version to 1.25.90

  [ Jeremy Bícha ]
  * Mark -good as only needed for build tests

  [ Marc Leeman ]
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 10:50:20 +0100

gst-plugins-bad1.0 (1.24.12-3) unstable; urgency=medium

  * d/: disable webrtcdsp for hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 19 Feb 2025 13:04:59 +0100

gst-plugins-bad1.0 (1.24.12-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 15:41:40 -0500

gst-plugins-bad1.0 (1.24.12-2) unstable; urgency=medium

  * Revert "d/install: remove libweebrtcdsp"
  * Revert "d/control: libwebrtc-audio-processing-dev removed"
  * Revert "d/rules: webrtcdsp disabled" (Closes: #1094638)

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 14:50:34 +0100

gst-plugins-bad1.0 (1.24.12-1) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * New upstream version 1.24.12
  * d/patches: refresh wayland patch

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 09:17:48 +0100

gst-plugins-bad1.0 (1.24.11-3) unstable; urgency=medium

  * d/rules: remove modules that break hurd-any (Closes: #1091759)
  * d/patches: fix build without wayland

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 09 Jan 2025 14:04:09 +0100

gst-plugins-bad1.0 (1.24.11-2) unstable; urgency=medium

  * d/rules: disable gudev support for hurd architectures

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 08 Jan 2025 15:32:41 +0100

gst-plugins-bad1.0 (1.24.11-1) unstable; urgency=medium

  * d/rules: disable compiling gl for hurd archs
  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 08 Jan 2025 10:24:23 +0100

gst-plugins-bad1.0 (1.24.10-3) unstable; urgency=medium

  * d: disable directfb support (Closes: #1083040)

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 03 Jan 2025 15:41:11 +0100

gst-plugins-bad1.0 (1.24.10-2) unstable; urgency=medium

  * d/patches: meson: Drop max version bound from neon

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 05 Dec 2024 11:38:16 +0100

gst-plugins-bad1.0 (1.24.10-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Build the ONNX neural network plugin

  [ Marc Leeman ]
  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 10:28:52 +0100

gst-plugins-bad1.0 (1.24.9-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Build webrtc support
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Nov 2024 10:33:17 +0100

gst-plugins-bad1.0 (1.24.9-1) unstable; urgency=medium

  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 09:11:43 +0100

gst-plugins-bad1.0 (1.24.8-2ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2082087). Remaining changes:
    - Build webrtc support
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Sep 2024 08:56:43 -0400

gst-plugins-bad1.0 (1.24.8-2) unstable; urgency=medium

  * Team upload
  * Stop buildling the intel-mediasdk support: no longer developed by Intel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Sep 2024 08:52:08 -0400

gst-plugins-bad1.0 (1.24.8-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove unused Build-Depends: libiptcdata0-dev

  [ Marc Leeman ]
  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 14:23:17 +0200

gst-plugins-bad1.0 (1.24.7-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Build webrtc support
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Remove unused Build-Depends: libiptcdata0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Aug 2024 17:19:06 -0400

gst-plugins-bad1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:28:03 +0200

gst-plugins-bad1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 18:55:52 +0200

gst-plugins-bad1.0 (1.24.5-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Build webrtc support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 11:56:27 -0400

gst-plugins-bad1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:29:50 +0200

gst-plugins-bad1.0 (1.24.4-2ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jun 2024 13:30:12 +0200

gst-plugins-bad1.0 (1.24.4-2) unstable; urgency=medium

  * d/patches: disable lc3 and dash_mpd tests

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Jun 2024 11:33:12 +0200

gst-plugins-bad1.0 (1.24.4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 09:56:58 -0400

gst-plugins-bad1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:15:59 +0200

gst-plugins-bad1.0 (1.24.3-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 14:54:44 -0400

gst-plugins-bad1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 11:21:05 +0200

gst-plugins-bad1.0 (1.24.2-4) unstable; urgency=high

  * Fix opencv dependency architectures (Closes: #1069953)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 21:09:14 -0400

gst-plugins-bad1.0 (1.24.2-3) unstable; urgency=medium

  * Team upload
  * Fix logic error in enabling opencv feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Apr 2024 12:36:08 -0400

gst-plugins-bad1.0 (1.24.2-2) unstable; urgency=medium

  * Team upload
  * Build with wpewebkit 2.0 (Closes: #1037139)
  * Update architectures where opencv is available
  * Stop building opencv plugin on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Apr 2024 11:18:03 -0400

gst-plugins-bad1.0 (1.24.2-1ubuntu4) noble; urgency=medium

  * Don't try to build zxing on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Apr 2024 09:00:06 -0400

gst-plugins-bad1.0 (1.24.2-1ubuntu3) noble; urgency=medium

  * Fix logic error in enabling opencv feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Apr 2024 11:16:14 -0400

gst-plugins-bad1.0 (1.24.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2060806). Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Apr 2024 11:43:07 -0400

gst-plugins-bad1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 09:46:21 +0200

gst-plugins-bad1.0 (1.24.1-4) unstable; urgency=medium

  * Team upload
  * Update architectures where zxing is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 24 Mar 2024 16:36:51 -0400

gst-plugins-bad1.0 (1.24.1-3) unstable; urgency=medium

  * Team upload
  * Only build gstreamer1.0-wpe on select architectures to bootstrap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 09:55:24 -0400

gst-plugins-bad1.0 (1.24.1-2) unstable; urgency=medium

  * Team upload
  * Update list of architectures where opencv is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 08:51:46 -0400

gst-plugins-bad1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 10:38:48 +0100

gst-plugins-bad1.0 (1.24.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:37:19 +0000

gst-plugins-bad1.0 (1.24.0-1ubuntu3) noble; urgency=high

  * No change rebuild against libdirectfb-1.7-7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:23:23 +0100

gst-plugins-bad1.0 (1.24.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:57:38 +0000

gst-plugins-bad1.0 (1.24.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 13 Mar 2024 08:22:59 -0400

gst-plugins-bad1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/patches: refresh Skip-failing-tests.patch
  * d/control: depend on liblc3-dev
  * d/control: Build-Depends add libsvtav1enc-dev
  * d/install: install new libraries
  * d/rules: disable aja
  * d/rules: qt6d3d11 disabled
  * d/rules: webrtcdsp disabled
  * d/control: libwebrtc-audio-processing-dev removed
  * d/install: remove libweebrtcdsp
  * d/install: remove gstkate.so
  * d/patches: disable vapostproc, avtpcrfcsync and vlcolorconvert tests
  * d/control: bump gstreamer dependencies to 1.24.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 14:37:25 +0100

gst-plugins-bad1.0 (1.23.90-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:09:50 +0000

gst-plugins-bad1.0 (1.23.90-1ubuntu2) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 18:59:37 -0500

gst-plugins-bad1.0 (1.23.90-1) experimental; urgency=medium

  * New upstream version 1.23.90
  * d/control: update dependencies to >= 1.23.90

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 27 Feb 2024 11:47:22 +0100

gst-plugins-bad1.0 (1.23.2-1) experimental; urgency=medium

  * New upstream version 1.23.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 16 Feb 2024 14:53:11 +0100

gst-plugins-bad1.0 (1.23.1-1) experimental; urgency=medium

  * d/control: add Marc to Uploaders
  * New upstream version 1.23.1
  * d/patches: neon 0.33 not needed
  * d/patches: refresh Skip-failing-tests.patch
  * d/control: depend on liblc3-dev
  * d/control: Build-Depends add libsvtav1enc-dev
  * d/install: install new libraries
  * d/control: bump gst dependency to 1.23.1
  * d/rules: disable aja
  * d/rules: qt6d3d11 disabled
  * d/rules: webrtcdsp disabled
  * d/control: libwebrtc-audio-processing-dev removed
  * d/install: remove libweebrtcdsp
  * d/install: remove gstkate.so
  * d/patches: disable vapostproc, avtpcrfcsync and vlcolorconvert tests

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 12 Feb 2024 16:55:23 +0100

gst-plugins-bad1.0 (1.22.10-1) unstable; urgency=medium

  * d/control: add Marc to Uploaders
  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/patches: neon 0.33 not needed

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 13:13:01 +0100

gst-plugins-bad1.0 (1.22.9-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Feb 2024 08:55:13 -0500

gst-plugins-bad1.0 (1.22.9-2) unstable; urgency=medium

  * Add patch to fix build with neon 0.33
  * Add Marc Leeman to Uploaders

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Feb 2024 08:17:19 -0500

gst-plugins-bad1.0 (1.22.9-1ubuntu2) noble; urgency=medium

  * Have libgstreamer-plugins-bad1.0-dev depend on -good1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Feb 2024 07:51:37 -0500

gst-plugins-bad1.0 (1.22.9-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Drop backported CVE patches included in new release
  * debian/gbp.conf: Use ubuntu/latest branch (on Salsa)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 10:16:57 -0500

gst-plugins-bad1.0 (1.22.9-1) unstable; urgency=high

  * Team upload
  * New upstream version 1.22.9
    - CVE-2024-0444 (ZDI-CAN-22873, GStreamer-SA-2024-001):
      AV1 codec parser potential buffer overflow during list tile parsing
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 20:04:39 -0500

gst-plugins-bad1.0 (1.22.8-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.22.8
    - ZDI-CAN-22300: Heap-based buffer overflow in the AV1 codec parser
      when handling certain malformed streams before GStreamer 1.22.8
  * d/patches: skip netsim test. Mitigates: #1052660

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 17:23:36 +0100

gst-plugins-bad1.0 (1.22.7-1) unstable; urgency=high

  * Team upload
  * New upstream release
    (Closes: #1056101, #1056102, #1053259, #1053260, #1053261)
    - CVE-2023-40474: integer overflow in MXF file handling
    - CVE-2023-40475: integer overflow in MXF file handling
    - CVE-2023-40476: integer overflow in H.265 video parser
    - CVE-2023-44429: AV1 codec parser buffer overflow
    - CVE-2023-44446: MXF demuxer use-after-free
  * Update libzxing-dev Build-Depends (Closes: #1054382)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Nov 2023 19:29:13 -0500

gst-plugins-bad1.0 (1.22.4-1ubuntu4) noble; urgency=medium

  * Update Skip-failing-tests.patch to version from Debian unstable.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Dec 2023 13:02:44 +0000

gst-plugins-bad1.0 (1.22.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libzxing3.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Dec 2023 12:11:26 +0000

gst-plugins-bad1.0 (1.22.4-1ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: integer overflow in MXF file handling
    - debian/patches/CVE-2023-40474.patch: fix integer overflow causing out
      of bounds writes when handling invalid uncompressed video in
      gst/mxf/mxfup.c.
    - CVE-2023-40474
  * SECURITY UPDATE: integer overflow in MXF file handling
    - debian/patches/CVE-2023-40475.patch: check number of channels for
      AES3 audio in gst/mxf/mxfd10.c.
    - CVE-2023-40475
  * SECURITY UPDATE: integer overflow in H.265 video parser
    - debian/patches/CVE-2023-40476.patch: fix possible overflow using
      max_sub_layers_minus1 in gst-libs/gst/codecparsers/gsth265parser.c.
    - CVE-2023-40476
  * SECURITY UPDATE: AV1 codec parser buffer overflow
    - debian/patches/CVE-2023-44429.patch: clip max tile rows and cols
      values in gst-libs/gst/codecparsers/gstav1parser.c.
    - CVE-2023-44429
  * SECURITY UPDATE: MXF demuxer use-after-free
    - debian/patches/CVE-2023-44446.patch: store GstMXFDemuxEssenceTrack in
      their own fixed allocation in gst/mxf/mxfdemux.*.
    - CVE-2023-44446

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Nov 2023 11:29:21 -0500

gst-plugins-bad1.0 (1.22.4-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxingcore-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Stop disabling openh264 on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 13:15:43 -0400

gst-plugins-bad1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release

  [ Dylan Aïssi ]
  * Build the AVTP (Audio Video Transport Protocol) plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 13:12:02 -0400

gst-plugins-bad1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:38:43 -0400

gst-plugins-bad1.0 (1.22.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev, glslc, libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:37:06 -0400

gst-plugins-bad1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * debian/rules: Enable all hardening flags

  [ Laurent Bigonville ]
  * debian/rules: Disable dvb element on non-linux architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:31:50 -0400

gst-plugins-bad1.0 (1.22.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian (LP: #2015129). Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev, glslc, libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 10:00:40 -0400

gst-plugins-bad1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream bugfix release

  [ Laurent Bigonville ]
  * debian/rules: Explicitly disable wayland on non-linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Tue, 28 Feb 2023 15:18:04 +0100

gst-plugins-bad1.0 (1.22.0-4) unstable; urgency=medium

  * Team upload
  * debian/rules: Disable vulkan on non-linux architectures
  * Disable zxing element on architectures where opencv doesn't build

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Feb 2023 23:59:59 +0100

gst-plugins-bad1.0 (1.22.0-3ubuntu2) lunar; urgency=medium

  * Fix unsatisfiable dependency on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 08:32:23 -0500

gst-plugins-bad1.0 (1.22.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev, glslc, libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 17:25:29 -0500

gst-plugins-bad1.0 (1.22.0-3) unstable; urgency=medium

  * The new Intel Quick Sync Video plugin is amd64-only
    so only enable it there
  * Bump minimum libzxingcore-dev to 1.4.0
  * Enable wpe on all non-Linux architectures
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:23:11 -0500

gst-plugins-bad1.0 (1.22.0-2) experimental; urgency=medium

  * Disable Intel Quick Sync Video plugin (there is a build issue with it)
  * Adjust some other configure & install rules

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 11:51:52 -0500

gst-plugins-bad1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Set -Dauto_features=enabled
    and explicitly disable several things that aren't buildable in Debian
  * Build-Depend on glslc, gstreamer1.0-tools, libdirectfb-dev, liblrdf0-dev,
    libneon27-dev, libvulkan-dev, & libxkbcommon-x11-dev
  * debian/control: Bump minimum gstreamer, glib, libnice, and meson
  * Update debian/libgstreamer-plugins-bad1.0-0.install
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 17:50:14 -0500

gst-plugins-bad1.0 (1.20.5-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 14:37:44 -0500

gst-plugins-bad1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Update standards version to 4.6.1, no changes needed
  * Remove fields on binary packages that duplicate source

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 12:05:53 -0500

gst-plugins-bad1.0 (1.20.4-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 10:58:02 -0500

gst-plugins-bad1.0 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh Skip-failing-tests.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 10:54:29 -0500

gst-plugins-bad1.0 (1.20.3-2) unstable; urgency=medium

  * Update patch to skip flaky camerabin test too (Closes: #1014264)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 15:23:16 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu7) lunar; urgency=medium

  * No-change rebuild against libopenh264-7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Nov 2022 03:05:59 +0000

gst-plugins-bad1.0 (1.20.3-1ubuntu6) kinetic; urgency=medium

  * No-change rebuild against opencv

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Aug 2022 10:50:42 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu5) kinetic; urgency=medium

  * No-change rebuild against libopenexr3-1-30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 04:02:15 +0000

gst-plugins-bad1.0 (1.20.3-1ubuntu4) kinetic; urgency=medium

  * More changes to remove wpewebkit support
    - debian/gstreamer1.0-wpe.install: removed.
    - debian/rules: removed -Ngstreamer1.0-wpe from NO_I386_ARGS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Aug 2022 08:47:25 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu3) kinetic; urgency=medium

  * No longer build with wpewebkit (LP: #1981592)
    - debian/control: remove libwpewebkit-1.1-dev and
      libwpebackend-fdo-1.0-dev from Build-Depends, remove gstreamer1.0-wpe
      binary package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2022 07:06:04 -0400

gst-plugins-bad1.0 (1.20.3-1ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:26 +0000

gst-plugins-bad1.0 (1.20.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Jun 2022 14:21:27 -0400

gst-plugins-bad1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Jeremy Bicha ]
  * Don't ignore dh_auto_test failures on amd64 & arm64.
  * Add patch to skip a failing build test.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jun 2022 10:16:48 +0300

gst-plugins-bad1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev
  * Don't ignore build test failures on amd64 and arm64
  * Add patch to skip a failing build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 May 2022 13:39:09 -0400

gst-plugins-bad1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:07:05 +0300

gst-plugins-bad1.0 (1.20.1-2) unstable; urgency=medium

  * debian/control:
    + Switch to wpewebkit 1.1 (Closes: #1009721).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Apr 2022 12:27:17 +0300

gst-plugins-bad1.0 (1.20.1-1) unstable; urgency=medium

  * debian/control,
    debian/gstreamer1.0-plugins-bad.install:
    + Ship openh264 plugin (Closes: #1005226).
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:03:33 +0200

gst-plugins-bad1.0 (1.20.0-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control,
    debian/patches/03-openaptx-Support-libfreeaptx.patch:
    + Use libfreeaptx instead of libopenaptx.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Feb 2022 09:13:55 +0200

gst-plugins-bad1.0 (1.20.0-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Do not build ldac plugin on big-endian architectures
    libldac is not building on these, see #980372.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 10 Feb 2022 15:32:48 +0200

gst-plugins-bad1.0 (1.20.0-2ubuntu2) jammy; urgency=medium

  * d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
    - Don't require these Build-Depends on i386:
      + libltc-dev, libopenaptx-dev, libqrencode-dev, libzxingcore-dev

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 07 Feb 2022 09:36:38 -0500

gst-plugins-bad1.0 (1.20.0-2ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Laurent Bigonville ]
  * Do not build ldac plugin on big-endian architectures

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 16:40:20 -0500

gst-plugins-bad1.0 (1.20.0-2) unstable; urgency=medium

  * debian/control:
    + Let gstreamer1.0-plugins-bad depend on gstreamer1.0-plugins-good as some
      plugins in the former require plugins from the latter.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 10:27:30 +0200

gst-plugins-bad1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 08:58:33 +0200

gst-plugins-bad1.0 (1.19.90-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 16:43:41 -0500

gst-plugins-bad1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 17:15:28 +0200

gst-plugins-bad1.0 (1.18.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 24 Sep 2021 12:31:47 +0200

gst-plugins-bad1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:39:30 +0300

gst-plugins-bad1.0 (1.18.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Add more architectures to the opencv BD
  * debian/control: Do not make libgstreamer-plugins-bad1.0-dev depend on
    opencv where it's not available (Closes: #987396)
  * Do not try to install the sctp on non-linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 26 Apr 2021 17:07:50 +0200

gst-plugins-bad1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/0001-h2645parser-Catch-overflows-in-AVC-HEVC-NAL-unit-length.patch:
    + Catch overflows in AVC/HEVC NAL unit length calculations, which would
      lead to allocating infinite amounts of small memory blocks until OOM and
      could potentially also lead to memory corruptions.

      See https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2103

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:52:28 +0300

gst-plugins-bad1.0 (1.18.4-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Apr 2021 11:23:20 +0200

gst-plugins-bad1.0 (1.18.4-1) experimental; urgency=medium

  [ Marc Leeman ]
  * New upstream version 1.18.4

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:32:14 +0300

gst-plugins-bad1.0 (1.18.3-1ubuntu2) hirsute; urgency=medium

  * Rebuild against new split libsrt1.4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 11:33:55 +0100

gst-plugins-bad1.0 (1.18.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 15:11:06 +0100

gst-plugins-bad1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:51:27 +0200

gst-plugins-bad1.0 (1.18.2-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 17:09:59 +0100

gst-plugins-bad1.0 (1.18.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 23:16:28 +0100

gst-plugins-bad1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:10:36 +0200

gst-plugins-bad1.0 (1.18.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Oct 2020 17:09:49 +0100

gst-plugins-bad1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/control:
    + Switch from libdc1394-22-dev to libdc1394-dev (Closes: #970841).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 18:17:33 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu6) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Oct 2020 09:07:56 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu5) groovy; urgency=medium

  * Rebuild against new libdc1394-25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Sep 2020 08:41:20 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu4) groovy; urgency=medium

  [ Gianfranco Costamagna, Iain Lane ]
  * Don't depend on opencv package on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Sep 2020 14:17:53 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu3) groovy; urgency=low

  [ Gianfranco Costamagna ]
  * Merge from Debian unstable.  Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Iain Lane ]
  * debian/rules:
    - Fix file removal
    - Remove jpegformat here too
  * debian/rules: Do the removals earlier, before dh_install, so they actually
    affect the binary packages.
  * debian/rules: Don't install openni on i386. Properly disable opencv and
    wpe.
  * debian/control: Drop some BDs on i386 which aren't available, disabling
    the corresponding plugins:
    - libltc-dev
    - libwpewebkit-1.0-dev
    - libopenni2-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 17:33:23 +0200

gst-plugins-bad1.0 (1.18.0-2) unstable; urgency=medium

  * debian/rules:
    + Add `--with gir` to generate correct dependencies. Thanks to Ken VanDine.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 15:15:27 +0300

gst-plugins-bad1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable (Closes: #927995, #893813).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 11:57:33 +0300

gst-plugins-bad1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:30:56 +0300

gst-plugins-bad1.0 (1.17.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Name (from ./configure),
    Repository, Repository-Browse.

  [ Laurent Bigonville ]
  * Only build the opencv plugin on architecture where opencv is available
  * Install the opencv haarcascades files in the opencv plugin package
  * d/p/02_opencv-data-path.patch: Fix paths for the haarcascades files
    (Closes: #956518)
  * debian/control.in: Bump from Priority: extra to optional, the former is
    deprecated

  [ Sebastian Dröge ]
  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Jul 2020 09:30:58 +0300

gst-plugins-bad1.0 (1.16.2-2.3ubuntu2) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:23 +0100

gst-plugins-bad1.0 (1.16.2-2.3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add fix-openexr-check.patch: fix build failure
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 11:05:25 +0200

gst-plugins-bad1.0 (1.16.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust make 4.3 patch to also work with make 4.2 (Closes: 965298 )
  * Apply upstream patch to make "lv2" plugin build with gcc-10 (Closes: 957314 )

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Jul 2020 12:47:21 +0000

gst-plugins-bad1.0 (1.16.2-2.2ubuntu2) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add fix-openexr-check.patch: fix build failure
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Jul 2020 20:19:53 +0200

gst-plugins-bad1.0 (1.16.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Replace libsrt-dev with libsrt-gnutls-dev
  * Fix build with make 4.3 (Closes: #962720)

  [ Sebastian Ramacher ]
  * Apply upstream patch to build with new vulkan

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jul 2020 22:56:22 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu7) groovy; urgency=medium

  * Add patch to fix the build on some plugins-bad imported code
  * debian/patches/0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch:
    - patch from arch linux to fix build with new mesa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 20:08:04 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu6) groovy; urgency=medium

  * Update srt-dev with srt-gnutls-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 17:51:49 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu3) groovy; urgency=medium

  * Add fix-openexr-check.patch: fix build failure

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 May 2020 19:42:45 -0400

gst-plugins-bad1.0 (1.16.2-2.1ubuntu2) groovy; urgency=medium

  * No-change rebuild against latest libdvdread

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 May 2020 19:23:08 -0400

gst-plugins-bad1.0 (1.16.2-2.1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Feb 2020 22:48:25 +0100

gst-plugins-bad1.0 (1.16.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload patch to fix build with newer opencv (Closes: #922583)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Feb 2020 22:46:23 +0100

gst-plugins-bad1.0 (1.16.2-2ubuntu3) focal; urgency=medium

  * debian/patches/opencv.patch:
    - fix build with newer opencv

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Feb 2020 12:22:34 +0100

gst-plugins-bad1.0 (1.16.2-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
  * Removed Ubuntu changes:
    + Don't hack debian/rules to build with -std=c++11 the openexr issue
      has been fixed in the new upstream version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 19:12:21 +0100

gst-plugins-bad1.0 (1.16.2-2) unstable; urgency=medium

  * debian/build-deps.in,
    debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Build and ship SRT plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Jul 2019 09:21:34 +0300

gst-plugins-bad1.0 (1.16.2-1ubuntu2) focal; urgency=medium

  * Rebuild against new libfluidsynth2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Dec 2019 12:18:44 +0100

gst-plugins-bad1.0 (1.16.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
  * Removed Ubuntu changes:
    + Don't hack debian/rules to build with -std=c++11 the openexr issue
      has been fixed in the new upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Dec 2019 20:56:01 +0100

gst-plugins-bad1.0 (1.16.2-2) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Dec 2019 12:03:37 +0200

gst-plugins-bad1.0 (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Dec 2019 15:33:40 +0200

gst-plugins-bad1.0 (1.16.1-1) unstable; urgency=medium

  * debian/patches/03_default-soundfont.patch:
    + Set a reasonable default soundfont patch (Closes: #929185).
      Thanks to Fabian Greffrath for the patch.
  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Sep 2019 10:41:55 +0300

gst-plugins-bad1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:31:31 +0300

gst-plugins-bad1.0 (1.16.0-2) unstable; urgency=medium

  * debian/build-deps.in,
    debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Build and ship SRT plugin.
  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:53:43 +0300

gst-plugins-bad1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:19:04 +0300

gst-plugins-bad1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add SCTP plugin for WebRTC datachannels.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:02:12 +0300

gst-plugins-bad1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:11:56 +0200

gst-plugins-bad1.0 (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + Fixes build with OpenCV 3.4.4 (Closes: #915709).
    + debian/rules,
      debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Update GStreamer dependency.
      - Update wayland dependency to >= 1.11.0.
      - Update OpenCV dependency to >= 3.0.0.
      - Add Pango dependency for the new closedcaption plugin.
      - Add SRT dependency for the new SRT plugin.
      - Add AOM (AV1) dependency for the new AOM plugin.
      - Remove openglmixers plugin that moved to gst-plugins-base.
  * debian/rules:
    + Only build documentation if we build the documentation package. Thanks
      to Simon McVittie for the patch.
  * debian/patches/02_opencv-data-path.patch,
    debian/control.in:
    + Fix path to opencv-data files and Recommend opencv-data for the
      gstreamer1.0-oppencv package (Closes: #877586).
  * debian/patches/03_removesilence-Add-LIBM-to-libraries.patch:
    + Fix linking of removesilence plugin.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 16:44:44 +0200

gst-plugins-bad1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/gbp.conf: Set the debian-branch to ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Fri, 05 Oct 2018 12:32:36 +0100

gst-plugins-bad1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:57:59 +0300

gst-plugins-bad1.0 (1.14.3-1) unstable; urgency=medium

  [ Hugh McMaster ]
  * gir1.2-gst-plugins-bad-1.0: Install the typelibs into a multi-arch
    library directory.
  * debian/control.in:
    - Mark gir1.2-gst-plugins-bad-1.0 Multi-Arch: same.
    - Remove a duplicate ${gir:Depends} from gir1.2-gst-plugins-bad-1.0.
    - Mark libgstreamer-plugins-bad1.0-dev Multi-Arch: same.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:03:13 +0300

gst-plugins-bad1.0 (1.14.2-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jul 2018 12:05:07 +0200

gst-plugins-bad1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:21:14 +0300

gst-plugins-bad1.0 (1.14.1-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild for x265 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Jun 2018 12:15:02 +0200

gst-plugins-bad1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1772898); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Wed, 23 May 2018 12:41:48 +0100

gst-plugins-bad1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:37:19 +0300

gst-plugins-bad1.0 (1.14.0-1ubuntu3) cosmic; urgency=medium

  * debian/rules: gl and glx aren't here any more, don't disable

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 May 2018 17:44:10 +0000

gst-plugins-bad1.0 (1.14.0-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild for x265 soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 May 2018 09:26:44 +0000

gst-plugins-bad1.0 (1.14.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Wed, 21 Mar 2018 17:43:19 +0000

gst-plugins-bad1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:08:32 +0200

gst-plugins-bad1.0 (1.13.91-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Mar 2018 13:19:35 +0000

gst-plugins-bad1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:08:43 +0200

gst-plugins-bad1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 23:16:25 +0200

gst-plugins-bad1.0 (1.13.1-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
  * debian/patches/fix-lp1698287.patch: gl has been removed, drop the patch

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Mar 2018 15:06:38 +0000

gst-plugins-bad1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Move OpenCV plugin and library into its own binary package (Closes: #862024).
  * debian/gstreamer-plugins-bad.install:
    + Ship haar cascade files for handdetect (Closes: #877587).
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Build SRTP plugin against libsrtp2.
    + Ship new lcms2, openmpt, faceoverlay, ipcpipeline, proxy, ttml
      and webrtc plugins.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 18 Feb 2018 10:18:08 +0200

gst-plugins-bad1.0 (1.12.4-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
    + debian/patches/fix-lp1698287.patch: Prefer native Wayland over
      X11/Xwayland if both are available. This fixes VA-API initialization
      failure in Gnome Shell Wayland sessions.
  * debian/patches/0001-gl-wayland-call-eglTerminate-before-wl_display_disco.patch:
    Drop, applied upstream.
  * debian/patches/0001-openjpeg-Support-building-with-openjpeg-2.3.patch:
    Same

 -- Iain Lane <iain.lane@canonical.com>  Mon, 11 Dec 2017 15:20:08 +0000

gst-plugins-bad1.0 (1.12.4-2) unstable; urgency=medium

  * debian/rules:
    + Loosen library package dependencies to only be >= 1.12.4 and < 1.13,
      not < 1.12.5.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Dec 2017 15:52:11 +0200

gst-plugins-bad1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:47:55 +0200

gst-plugins-bad1.0 (1.12.3-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Dec 2017 17:43:20 +0100

gst-plugins-bad1.0 (1.12.3-2) unstable; urgency=medium

  * debian/patches/0001-openjpeg-Support-building-with-openjpeg-2.3.patch:
    + Fix build against openjpeg 2.3 (Closes: #878747).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Oct 2017 15:35:50 +0200

gst-plugins-bad1.0 (1.12.3-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:49:54 +0100

gst-plugins-bad1.0 (1.12.3-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
    + debian/patches/fix-lp1698287.patch: Prefer native Wayland over
      X11/Xwayland if both are available. This fixes VA-API initialization
      failure in Gnome Shell Wayland sessions.
  * debian/patches/0001-gl-wayland-call-eglTerminate-before-wl_display_disco.patch:
    Cherry-pick patch from upstream. Should fix crash when using Wayland.
    Should be applied in next 1.12 release. (LP: #1718595)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Sep 2017 15:53:28 +0100

gst-plugins-bad1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Mon, 18 Sep 2017 21:31:15 +0300

gst-plugins-bad1.0 (1.12.2-1ubuntu3) artful; urgency=medium

  * No-change rebuild against libx265-130

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Aug 2017 06:37:52 +0000

gst-plugins-bad1.0 (1.12.2-1ubuntu2) artful; urgency=medium

  * Prefer native Wayland over X11/Xwayland if both are available. This
    fixes VA-API initialization failure in Gnome Shell Wayland sessions
    (LP: #1698287).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 08 Aug 2017 17:08:09 +0800

gst-plugins-bad1.0 (1.12.2-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Tue, 18 Jul 2017 16:20:28 +0100

gst-plugins-bad1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Fri, 14 Jul 2017 13:35:08 +0300

gst-plugins-bad1.0 (1.12.1-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad
  * Remove a debian/.control.in.swp file that was committed by mistake.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 29 Jun 2017 12:41:24 +0100

gst-plugins-bad1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Fri, 14 Jul 2017 13:35:08 +0300

gst-plugins-bad1.0 (1.12.1-1) unstable; urgency=medium

  * Add some Provides/Replaces/Conflicts for a package split in Ubuntu that is
    no longer necessary.
  * New upstream bugfix release

 -- Iain Lane <iain.lane@canonical.com>  Tue, 20 Jun 2017 11:50:18 +0300

gst-plugins-bad1.0 (1.12.0-1ubuntu2) artful; urgency=medium

  * Restore libgstreamer-plugins-bad1.0-dev Depends on
    libgstreamer-plugins-good1.0-dev that was accidentally dropped
    in 1.11.91 merge.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 17 Jun 2017 20:00:19 -0400

gst-plugins-bad1.0 (1.12.0-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 May 2017 11:18:47 +0100

gst-plugins-bad1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:17:34 +0300

gst-plugins-bad1.0 (1.11.91-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * Dropped Mir and Hybris support which isn't needed any more.
  * Dropped separate videoparsers and faad packages.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 28 Apr 2017 18:31:29 +0100

gst-plugins-bad1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release canditate

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 17:03:23 +0300

gst-plugins-bad1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 15:55:59 +0300

gst-plugins-bad1.0 (1.11.2-1) experimental; urgency=medium

  * debian/build-deps.in:
    + Remove unused dependency on DirectFB (Closes: #855513).
  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 14:45:40 +0200

gst-plugins-bad1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 15:19:46 +0200

gst-plugins-bad1.0 (1.10.4-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding hybrissink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386,
        arm64 and armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386,
        arm64 and armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/rules:
      - For arm64 force using HYBRIS_ANDROID_SDK_VERSION=23 as there is no jb
        linker built in hybris for this architecture.
    + debian/patches/desktop-mirsink.patch: Create mirsink for desktop

 -- Iain Lane <iain.lane@canonical.com>  Fri, 24 Mar 2017 11:56:10 +0000

gst-plugins-bad1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release
  * debian/build-deps.in:
    + Remove unused dependency on DirectFB (Closes: #855513).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 15:39:04 +0200

gst-plugins-bad1.0 (1.10.3-1ubuntu4) zesty; urgency=medium

  [ Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com> ]
  * debian/control*, debian/rules, debian/build-deps*:
    - Build gstreamer1.0-hybris for arm64, bump the required version of
      libmedia-dev to a one that has a working arm64 linker in hybris.
  * debian/rules:
    - For arm64 force using HYBRIS_ANDROID_SDK_VERSION=23 as there is no jb
      linker built in hybris for this architecture.

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Rename old mirsink to hybrissink to better reflect its nature
  * Create new mirsink for desktop

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 22 Feb 2017 17:02:05 +0100

gst-plugins-bad1.0 (1.10.3-1ubuntu3) zesty; urgency=medium

  * No-change rebuild against libx265-110.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 19 Feb 2017 16:58:32 +0100

gst-plugins-bad1.0 (1.10.3-1ubuntu2) zesty; urgency=medium

  * No-change rebuild against libx265-102.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 31 Jan 2017 22:45:53 +0100

gst-plugins-bad1.0 (1.10.3-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme
  * debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
    Refresh.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 31 Jan 2017 13:01:38 +0000

gst-plugins-bad1.0 (1.10.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 15:51:48 +0200

gst-plugins-bad1.0 (1.10.2-1ubuntu2) zesty; urgency=medium

  [ Ratchanan Srirattanamet ]
  * hybris: add color format for fp2 (LP: #1653373)

  [ Alfonso Sanchez-Beato ]
  * Refactor patches to have only one for mir/androidmediahybris support

 -- Iain Lane <iain.lane@canonical.com>  Fri, 13 Jan 2017 12:39:20 +0000

gst-plugins-bad1.0 (1.10.2-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Dec 2016 16:47:30 +0000

gst-plugins-bad1.0 (1.10.2-1) unstable; urgency=medium

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Drop mimic plugin (Closes: #765534). Library is RM candidate and
      upstream just removed the plugin today.
    + Drop schroedinger plugin, see #845037.
  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Nov 2016 15:53:26 +0200

gst-plugins-bad1.0 (1.10.1-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Mon, 21 Nov 2016 16:24:30 +0000

gst-plugins-bad1.0 (1.10.1-1) unstable; urgency=medium

  * debian/rules:
    + Add wayland-protocols to the build-dependencies as required for jessie.
      Nowadays it is automatically pulled in somehow. Patch by Marc Leeman.
  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Nov 2016 15:04:49 +0200

gst-plugins-bad1.0 (1.10.0-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark gstreamer1.0-doc Multi-Arch: foreign (Closes: #842526).

  [ Sebastian Dröge ]
  * New upstream stable release (Closes: #841413, #828335).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Nov 2016 17:52:23 +0200

gst-plugins-bad1.0 (1.9.90-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.9.90.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Sep 2016 12:38:21 +0300

gst-plugins-bad1.0 (1.9.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.9.2.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Include new timecode and webrtcdsp plugins.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Sep 2016 12:13:09 +0300

gst-plugins-bad1.0 (1.9.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.9.1.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Include new musepack, dc1394 and lv2 plugins.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jul 2016 13:01:53 +0300

gst-plugins-bad1.0 (1.8.3-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Sep 2016 12:49:25 +0100

gst-plugins-bad1.0 (1.8.2-1ubuntu4) yakkety; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * amchybris: add buffer format for midori

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Aug 2016 13:49:17 +0100

gst-plugins-bad1.0 (1.8.2-1ubuntu3) yakkety; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 04 Aug 2016 17:19:54 -0400

gst-plugins-bad1.0 (1.8.2-1ubuntu2) yakkety; urgency=medium

  * Rebuild against libopencv-highgui2.4-deb0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Jun 2016 21:16:29 +0200

gst-plugins-bad1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jun 2016 16:04:58 +0100

gst-plugins-bad1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/build-deps.in:
    + Switch from OpenJPEG 1.5 to 2.1.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Jun 2016 11:32:08 +0300

gst-plugins-bad1.0 (1.8.1-2) unstable; urgency=medium

  * debian/build-deps.in:
    + Patch by Tobias Frost to fix FTBFS on Hurd (Closes: #822675).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 May 2016 08:55:41 +0300

gst-plugins-bad1.0 (1.8.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1575152); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Tue, 26 Apr 2016 14:04:21 +0100

gst-plugins-bad1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2016 18:18:02 +0300

gst-plugins-bad1.0 (1.8.0-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Mar 2016 12:28:15 +0000

gst-plugins-bad1.0 (1.8.0-1) unstable; urgency=medium

  * New upstream stable release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.8.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Mar 2016 12:32:02 +0200

gst-plugins-bad1.0 (1.7.91-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme
  * Really re-enable bluez.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 17 Mar 2016 16:53:29 +0000

gst-plugins-bad1.0 (1.7.91-1) experimental; urgency=medium

  * debian/build-deps.in:
    + Remove libjasper-dev. It's unused and supposed to be removed soon.
      (Closes: #818213).
  * New upstream release candidate:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.7.91.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 Mar 2016 16:45:09 +0200

gst-plugins-bad1.0 (1.7.90-1ubuntu2) xenial; urgency=medium

  * Remove the files we ship in -good instead of listing the files to keep.
    (LP: #1554393)
  * debian/control.in: Remove a bad newline

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Mar 2016 18:56:23 +0000

gst-plugins-bad1.0 (1.7.90-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Thu, 03 Mar 2016 18:11:16 +0000

gst-plugins-bad1.0 (1.7.90-1) experimental; urgency=medium

  [ Iain Lane ]
  * debian/watch: Fix to work with upstream locations

  [ Sebastian Dröge ]
  * New upstream release candidate:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.7.90.
    + debian/gstreamer-plugins-bad.install:
      - Ship new opusparse plugin, renamed from opus and only contains
        the parser now.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Mar 2016 17:25:00 +0200

gst-plugins-bad1.0 (1.7.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Mon, 22 Feb 2016 12:31:13 +0000

gst-plugins-bad1.0 (1.7.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer >= 1.7.2.
      - Update faad dependency to >= 2.7 and rsvg to >= 2.36.2.
    + debian/gstreamer-plugins-bad.install:
      - Drop mpg123 (moved to -ugly) and rtpbad (moved to -good) plugins.
      - Add new netsim plugin.
    + debian/libgstreamer-plugins-bad*.install:
      - Add new badaudio library.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2016 11:29:54 +0200

gst-plugins-bad1.0 (1.7.1-1ubuntu4) UNRELEASED; urgency=medium

  [ Thomas Voss ]
  * Add color formats
  * Increase rank for androidmedia so it is preferred over v4l when present

  [ Iain Lane ]
  * Remove debian/patches/add-android-color-formats.patch since the above
    duplicates the same changes.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 19 Feb 2016 18:12:34 +0100

gst-plugins-bad1.0 (1.7.1-1ubuntu3) xenial; urgency=medium

  * No-change rebuild due to citrain landing process.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 28 Jan 2016 16:44:12 +0100

gst-plugins-bad1.0 (1.7.1-1ubuntu2) xenial; urgency=medium

  [ Iain Lane ]
  * Really update Vcs-*

  [ Simon Fels ]
  * debian/patches/add-android-color-formats.patch
    + Add additional patch to add more color formats from Android we need
      to handle in gstacmhybris element.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 28 Jan 2016 15:43:33 +0100

gst-plugins-bad1.0 (1.7.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Jan 2016 10:45:21 +0000

gst-plugins-bad1.0 (1.7.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GLib >= 2.40 and GStreamer >= 1.7.1.
      - Build-depend on libass >= 0.10.2.
      - Build-depend on libdrm-dev.
    + debian/gstreamer-plugins-base.install:
      - Drop liveadder plugin and add new videoframe_audiolevel plugin.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Dec 2015 14:23:55 +0100

gst-plugins-bad1.0 (1.6.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Tue, 15 Dec 2015 17:40:57 +0000

gst-plugins-bad1.0 (1.6.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Dec 2015 19:33:55 +0100

gst-plugins-bad1.0 (1.6.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Thu, 05 Nov 2015 17:54:58 +0000

gst-plugins-bad1.0 (1.6.1-1) unstable; urgency=medium

  * debian/control.in:
    + Remove duplicated word from description (Closes: #800138).
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 02 Oct 2015 10:13:01 +0300

gst-plugins-bad1.0 (1.6.0-1ubuntu1) wily; urgency=medium

  [ Iain Lane ]
  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

  [ Alfonso Sanchez-Beato ]
  * Release buffer pool when mirsink stops

 -- Iain Lane <iain.lane@canonical.com>  Tue, 06 Oct 2015 15:53:51 +0100

gst-plugins-bad1.0 (1.6.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2015 23:02:02 +0200

gst-plugins-bad1.0 (1.5.91-1ubuntu1) wily; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Sep 2015 18:09:32 +0100

gst-plugins-bad1.0 (1.5.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Sep 2015 19:39:16 +0200

gst-plugins-bad1.0 (1.5.90-1ubuntu3) wily; urgency=medium

  * [4bb077f] Revert "Define GL_GLEXT_LEGACY and GLX_GLXECT_LEGACY"
  * [d32f945] Disable glx when we're disabling opengl too, per upstream.
  * [7412cd2] Cherry-pick a bunch of patches from upstream to properly fix
    building without opengl.  This supersedes our previous distro patch.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Sep 2015 16:28:40 +0100

gst-plugins-bad1.0 (1.5.90-1ubuntu2) wily; urgency=medium

  * Build-Depend on mesa-common-dev since we need glx.h everywhere.
  * Really disable (via a build switch) opengl on armhf, to build properly in
    unclean environments.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Sep 2015 14:27:41 +0100

gst-plugins-bad1.0 (1.5.90-1ubuntu1) wily; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme
  * Bluetooth has been re-enabled now we have bluez 5 in Ubuntu.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Sep 2015 18:05:15 +0100

gst-plugins-bad1.0 (1.5.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Aug 2015 13:35:43 +0300

gst-plugins-bad1.0 (1.5.2-1ubuntu2) wily; urgency=medium

  * Send error messages to the gstreamer client when an error happens in
    amchybris, so it can react. Based on changes to the androidmedia plugin.
    Change by Alfonso Sanchez-Beato.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 29 Jul 2015 13:45:58 +0100

gst-plugins-bad1.0 (1.5.2-1ubuntu1) wily; urgency=medium

  [ Iain Lane ]
  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.
  * debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/watch: Update Vcs-* for new URL scheme
  * Disable bluez support - requires bluez 5

  [ Alfonso Sanchez-Beato ]
  * Update d/p/adding-mirsink-and-android-media-over-hybris-support.patch to
    apply on this version.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 22 Jul 2015 15:35:24 +0100

gst-plugins-bad1.0 (1.5.2-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Jun 2015 23:29:59 +0200

gst-plugins-bad1.0 (1.5.1-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2015 11:03:58 +0200

gst-plugins-bad1.0 (1.5.0.1+git20150513-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 15:48:32 +0300

gst-plugins-bad1.0 (1.5.0.1+git20150316-2) experimental; urgency=medium

  * debian/libgstreamer-plugins-bad-dev.install:
    + Include platform dependent GL headers.
  * debian/libgstreamer-plugins-bad-dev.install,
    debian/rules,
    debian/build-deps.in:
    + Include GObject-Introspection files for the libraries.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Mar 2015 10:04:25 +0100

gst-plugins-bad1.0 (1.5.0.1+git20150316-1) experimental; urgency=medium

  * New upstream GIT snapshot:
    + Add new bs2b, de265, x265, dtls, rtp plugins.
    + Add ported vcd and bluez5 plugins.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Mar 2015 09:42:54 +0100

gst-plugins-bad1.0 (1.4.5-1ubuntu7) wily; urgency=medium

  [ Alberto Aguirre ]
  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + Remove non-existant headers/types as platform-api 3 ua_ui_xxx apis
      have been deprecated and removed

 -- Iain Lane <iain.lane@canonical.com>  Thu, 02 Jul 2015 11:32:19 +0100

gst-plugins-bad1.0 (1.4.5-1ubuntu6) wily; urgency=medium

  * debian/patches/mirclient-requires.patch, debian/build-deps.in: Explicitly
    include mirclient's CFLAGS and LIBS even though they are only indirectly
    (by platform-api) required. Resolves FTBFS and can be removed once bug
    #1465958 is fixed.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Jun 2015 17:48:12 +0100

gst-plugins-bad1.0 (1.4.5-1ubuntu5) wily; urgency=medium

  * adding-mirsink-and-android-media-over-hybris-support.patch: use
    ubuntu-platform-api pkg-config information for building sources that
    need to be able to find mir headers.  LP: #1465958.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Jun 2015 10:36:00 -0700

gst-plugins-bad1.0 (1.4.5-1ubuntu4) wily; urgency=medium

  * No-change rebuild for the libnettle6 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Jun 2015 04:06:33 -0600

gst-plugins-bad1.0 (1.4.5-1ubuntu3) wily; urgency=medium

  * androidmedia-support-COLOR_QCOM_FormatYVU420SemiPlanar32m.patch:
    + Adding support for COLOR_QCOM_FormatYVU420SemiPlanar32m (LP: #1452386)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 25 May 2015 16:40:30 -0300

gst-plugins-bad1.0 (1.4.5-1ubuntu2) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + Integrating androidmedia-Read-max-input-size-from-caps.patch
    + androidmedia: Make sure input buffers are aligned
    + androidmedia: Allow support for HEVC and VP8/9
    + mtk: Increase alignment for input buffers

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Mar 2015 15:28:09 -0300

gst-plugins-bad1.0 (1.4.5-1ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 25 Feb 2015 12:42:54 +0000

gst-plugins-bad1.0 (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Dec 2014 12:25:07 +0100

gst-plugins-bad1.0 (1.4.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix an incorrect function call on 32-bit architectures (closes: #777024).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 19:45:44 +0000

gst-plugins-bad1.0 (1.4.4-2ubuntu5) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + androidmedia: Avoid deadlock when seeking and improving seek performance
      (LP: #1418619)
    + androidmedia: Extend codec caps for sink, so it can handle videos that
      were not being played
    + androidmedia: Remove access unit delimiters NALUs from byte stream.
      These NALUs were causing problems for MTK's decoder and are not really
      necessary (LP: #1417756).

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 24 Feb 2015 00:25:27 -0300

gst-plugins-bad1.0 (1.4.4-2ubuntu4) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + Improving handling of short videos

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 16 Dec 2014 12:40:55 -0200

gst-plugins-bad1.0 (1.4.4-2ubuntu3) vivid; urgency=medium

  * debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
    + Support H.263 videos: Change the capabilities for the H.263 decoder sink
      to be the same as those of the H.263 decoder on the desktop. With the
      previous capabilities the link negotiation was failing for all H.263
      videos.
    + Release unused output buffers: When frames were dropped due to late
      arrival, the already allocated output buffer was not being freed. This
      caused the video to freeze in the moment there were no available output
      buffers, which happened after a few frames were dropped.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 16 Dec 2014 00:26:43 -0200

gst-plugins-bad1.0 (1.4.4-2ubuntu2) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - androidmedia: Fix stagnation when obtaining thumb (LP: #1397997)
    - Don't flush while the dec loop is working (LP: #1364466)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 08 Dec 2014 23:46:12 -0200

gst-plugins-bad1.0 (1.4.4-2ubuntu1) vivid; urgency=low

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Nov 2014 12:23:49 +0000

gst-plugins-bad1.0 (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Nov 2014 13:40:12 +0100

gst-plugins-bad1.0 (1.4.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Nov 2014 12:56:37 +0100

gst-plugins-bad1.0 (1.4.3-2) unstable; urgency=medium

  * debian/build-deps.in:
    + Build-depend on libgnutls28-dev instead of libgnutls-dev. The latter is
      removed. We don't actually need to build-depend on it anymore but because
      of a missing dependency in librtmp-dev we still need it (Closes: #764100).
  * debian/build-deps.in:
    + Remove unused libdirac-dev build dependency (Closes: #761012).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Oct 2014 20:30:36 +0300

gst-plugins-bad1.0 (1.4.3-1ubuntu2) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Expose the video height/width via plugin properties.
  * debian/patches/androidmedia-Read-max-input-size-from-caps.patch:
    - androidmedia: Read max-input-size from caps

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 04 Nov 2014 02:55:58 -0200

gst-plugins-bad1.0 (1.4.3-1ubuntu1) utopic; urgency=low

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 26 Sep 2014 12:39:11 +0100

gst-plugins-bad1.0 (1.4.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Sep 2014 12:14:37 +0300

gst-plugins-bad1.0 (1.4.2-1ubuntu2) utopic; urgency=medium

  * Apply the equivalent of 108257791a399a3c29ba4e9c2b076e04b72e2976 from
    upstream to gstamcaudiodechybris.c.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 22 Sep 2014 15:52:10 +0100

gst-plugins-bad1.0 (1.4.2-1ubuntu1) utopic; urgency=low

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 22 Sep 2014 13:26:34 +0100

gst-plugins-bad1.0 (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Sep 2014 14:40:05 +0300

gst-plugins-bad1.0 (1.4.1-1ubuntu1) utopic; urgency=low

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 Sep 2014 13:27:27 +0100

gst-plugins-bad1.0 (1.4.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Aug 2014 14:45:20 +0300

gst-plugins-bad1.0 (1.4.0-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
  * Rebase
    debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch
    to apply on top of this version.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 21 Aug 2014 17:05:38 +0100

gst-plugins-bad1.0 (1.4.0-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/rules:
    + Disable bluez plugin for now until someone ports it to bluez5 (Closes: #755157).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jul 2014 17:22:10 +0200

gst-plugins-bad1.0 (1.3.91-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.91.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Jul 2014 11:51:10 +0200

gst-plugins-bad1.0 (1.3.90-2) experimental; urgency=medium

  [ Sebastian Dröge ]
  * debian/gstreamer-plugins-bad.install:
    + Include mpeg2enc plugin.

  [ Sjoerd Simons ]
  * debian/patches/01_fix-modplug-linking.patch
    - Re-add. Fixes FTBS on i386

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 01 Jul 2014 15:01:07 +0200

gst-plugins-bad1.0 (1.3.90-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.90.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Jun 2014 11:55:38 +0200

gst-plugins-bad1.0 (1.3.3-2) experimental; urgency=medium

  * Team upload.

  * debian/gbp.conf:
    + Fix branch names for experimental.
  * debian/gstreamer-plugins-bad.install,
    debian/rules:
    + Install the wayland sink on linux.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 26 Jun 2014 18:47:12 +0200

gst-plugins-bad1.0 (1.3.3-1) experimental; urgency=medium

  * New upstream development release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.3.
    + debian/gstreamer-plugins-bad.install,
      debian/libgstreamer-plugins-bad*.install:
      - Add new compositor plugin and new libraries.
  * debian/rules:
    + Run autopoint during autoreconf.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Jun 2014 18:14:52 +0200

gst-plugins-bad1.0 (1.3.2-1) experimental; urgency=medium

  * New upstream development release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.2.
      - Disable libssh2-1-dev support until it's installable again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 May 2014 12:54:58 +0200

gst-plugins-bad1.0 (1.3.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core and base >= 1.3.1.
      - Build-depend on libopenexr.
      - Build-depend on libssh2-1-dev.
      - Build-depend on nettle-dev.
      - Build-depend on libgl1-mesa-dev and libglu1-mesa-dev.
      - Drop build-dependency on liblv2-dev, it was not used
        at all (Closes: #740831).
    + debian/libgstreamer-plugins-bad.install,
      debian/gstreamer-plugins-bad.install:
      - Drop the removed eglglessink plugin and libgstegl library.
      - Add the new opengl plugin and libgstgl library.
      - Add new audiomixer, ivfparse, jp2kdecimator, openexr,
        sndfile, stereo, videosignal and vmnc plugins.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 May 2014 19:26:42 +0200

gst-plugins-bad1.0 (1.2.4-1ubuntu4) utopic; urgency=medium

  * Rebuild against libass5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Aug 2014 16:32:05 +0100

gst-plugins-bad1.0 (1.2.4-1ubuntu3) utopic; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Add SurfaceTextureClientHybris property to mirsink

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 28 Apr 2014 10:08:06 -0700

gst-plugins-bad1.0 (1.2.4-1ubuntu2) utopic; urgency=high

  * No change rebuild against $2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 23:14:00 +0100

gst-plugins-bad1.0 (1.2.4-1ubuntu1) utopic; urgency=low

  * Merge with Debian unstable (LP: #1312305); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Apr 2014 10:34:39 +0100

gst-plugins-bad1.0 (1.2.4-1) unstable; urgency=medium

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable mplex plugin (Closes: #726064).
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Apr 2014 15:39:35 +0200

gst-plugins-bad1.0 (1.2.3-1ubuntu2) trusty; urgency=medium

  * Split videoparsers and faad out into their own packages.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 03 Mar 2014 13:06:53 +0000

gst-plugins-bad1.0 (1.2.3-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable for random bugfixes; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
  * debian/patches/bump_opencv_dep_version.patch: Dropped, no longer needed.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Feb 2014 15:45:50 -0700

gst-plugins-bad1.0 (1.2.3-1) unstable; urgency=medium

  [ Iain Lane ]
  * Drop ltmain-as-needed patch and do the same with dh_autoreconf
    --as-needed.
  * Enable parallel builds.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/patches/02_opencv-linking.patch:
    + Fix linking of opencv plugin by working around yet again broken
      opencv pkg-config file.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Feb 2014 11:37:09 +0100

gst-plugins-bad1.0 (1.2.2-1ubuntu4) trusty; urgency=medium

  * bump_opencv_dep_version.patch: bumping opencv as we're now building against
    opencv 2.4.8

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 16 Feb 2014 06:07:14 -0300

gst-plugins-bad1.0 (1.2.2-1ubuntu3) trusty; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Make the fill buffer compatible with Android 4.2 as well as 4.4+
    - Add the divx variant for mpeg4 video
    - Adding color formats used by Exynos 5 (Nexus 10)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 16 Feb 2014 00:05:47 -0300

gst-plugins-bad1.0 (1.2.2-1ubuntu2) trusty; urgency=medium

  * No-change rebuild for libwebp transition

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jan 2014 12:17:40 +0000

gst-plugins-bad1.0 (1.2.2-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 10 Jan 2014 11:35:48 +0000

gst-plugins-bad1.0 (1.2.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Dec 2013 11:02:32 +0100

gst-plugins-bad1.0 (1.2.1-2) unstable; urgency=medium

  * debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Enable the OpenCV plugin again, now that all the linking errors are gone.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Dec 2013 15:11:34 +0100

gst-plugins-bad1.0 (1.2.1-1ubuntu2) trusty; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Improved the CAPS for mirsink to use a cleaner method of constructing
      the caps, plus increased the formats it supports.
    - Adding a small delay to make sure we have the window id when doing
      hardware rendering
    - Fixing crash on EOS (LP: #1234506, LP: #1236599)
  * debian/build-deps.*:
    - Bumping dep version requirement for libmedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 23 Dec 2013 16:06:21 -0200

gst-plugins-bad1.0 (1.2.1-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 15 Nov 2013 12:19:58 +0000

gst-plugins-bad1.0 (1.2.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Update Vcs-Browser field in debian/control{,.in}.
  * Turn versioned Conflicts into Breaks to simplify lockstep upgrades.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/0001-bluez-Fix-compilation-on-big-endian-systems.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Nov 2013 17:10:09 +0100

gst-plugins-bad1.0 (1.2.0-4) unstable; urgency=low

  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Only enable sbc plugin on Linux, it's not available elsewhere.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Oct 2013 10:06:43 +0200

gst-plugins-bad1.0 (1.2.0-3ubuntu5) saucy; urgency=low

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Improving texture_id sync handling when using mirsink
    - Extending mirsink caps (was just supporting NV12)
    - Disabling google software codecs (needed until we have software
      rendering support in mirsink)
  * debian/build-deps.*:
    - Bumping dep version requirement for libmedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Oct 2013 17:14:27 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu4) saucy; urgency=low

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Increasing timeout before waiting for a valid texture id

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Oct 2013 00:50:36 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu3) saucy; urgency=low

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Adding support for software rendering
    - Better input/out buffer handling
  * debian/build-deps.in:
    - Bumping dep version requirement for libmedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 13 Oct 2013 00:30:29 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu2) saucy; urgency=low

  * adding-mirsink-and-android-media-over-hybris-support.patch:
    - Improved the robustness of the decoding/rendering under heavy system
      IO load.
    - Porting fixes from the 1.2 based gstamcvideodec.c

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 22:59:39 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 01:59:30 -0300

gst-plugins-bad1.0 (1.2.0-3) unstable; urgency=low

  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Only enable bluez plugin on Linux, it's not available elsewhere.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Sep 2013 13:52:58 +0200

gst-plugins-bad1.0 (1.2.0-2) unstable; urgency=low

  * debian/patches/0001-bluez-Fix-compilation-on-big-endian-systems.patch:
    + Fix compilation on big endian systems.
  * debian/build-deps.in:
    + Tighten build dependency on libopenal-dev to >= 1:1.14 (Closes: #724669).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Sep 2013 15:02:54 +0200

gst-plugins-bad1.0 (1.2.0-1ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 01 Oct 2013 15:35:17 -0300

gst-plugins-bad1.0 (1.2.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.2.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2013 16:59:40 +0200

gst-plugins-bad1.0 (1.1.90-1) experimental; urgency=low

  * New upstream release candidate:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.90.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Sep 2013 12:53:58 +0200

gst-plugins-bad1.0 (1.1.4-3) experimental; urgency=low

  * debian/patches/03_modplug-includes.patch:
    + Fix build with the new modplug version by including the
      modplug headers properly. Thanks to Iain Lane for the patch.
  * debian/patches/04_opencv-2.4.6.1.patch:
    + Fix build with OpenCV 2.4.6.1.
  * debian/gstreamer-plugins-bad.install:
    + Disable OpenCV plugin again for now until the libraries
      are --as-needed clean again.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Sep 2013 11:12:25 +0200

gst-plugins-bad1.0 (1.1.4-2ubuntu6) saucy; urgency=low

  * adding-mirsink-and-android-media-over-hybris-support.patch:
    - Fixing platform-api related calls when not using texture_id (playbin use
      case)
  * debian/control: bumping libmedia-dev build-dep version due an extra
    function call to know when surface_texture is ready for rendering

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 30 Sep 2013 17:39:41 -0300

gst-plugins-bad1.0 (1.1.4-2ubuntu5) saucy; urgency=low

  * adding-mirsink-and-android-media-over-hybris-support.patch:
    - Refreshing patch to allow mirsink to create a session/surface to allow
      proper rendering with playbin (without giving a texture id)
      (LP: #1231727)
  * debian/control: adding libplatform-api1-dev as build-dep for i386 and
    armhf, as it's only relevant for the mirsink

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 27 Sep 2013 13:42:09 -0300

gst-plugins-bad1.0 (1.1.4-2ubuntu4) saucy; urgency=low

  * also drop missing deps from the dbg packages, keep -hybris for i386 and
    armhf in gstreamer1.0-plugins-bad-dbg

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Sep 2013 12:28:51 +0200

gst-plugins-bad1.0 (1.1.4-2ubuntu3) saucy; urgency=low

  * drop gstreamer1.0-hybris from gstreamer1.0-plugins-bad dependencies

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Sep 2013 11:32:53 +0200

gst-plugins-bad1.0 (1.1.4-2ubuntu2) saucy; urgency=low

  [ Ricardo Salveti de Araujo ]
  * debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
    - Adding mirsink and Android media over hybris support, for hardware
      accelerated decode using libstagefright and the hybris compat layer.
  * debian/control.in:
    - Making the hybris plugin as part of a separated package, and i386 and
      armhf only (can work with android compatible archs)

  [ Oliver Grawert ]
  * run update-maintainer to make sure bugs dont go to debian for this before
    it is merged there

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 17 Sep 2013 16:05:57 -0300

gst-plugins-bad1.0 (1.1.4-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
  * debian/patches/0001-modplug-Specify-directory-when-including-stdafx.h.patch:
    Specify the directory when including modplug's stdafx.h, as its pcfile
    stopped giving us this in Cflags.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 10 Sep 2013 09:12:49 +0000

gst-plugins-bad1.0 (1.1.4-2) experimental; urgency=low

  * debian/patches/02_soundtouch-int.patch:
    + Fix compilation on armel, where soundtouch is compiled as an integer
      version instead of floats as everywhere else.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2013 10:38:03 +0200

gst-plugins-bad1.0 (1.1.4-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.4.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Add webp plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 13:06:41 +0200

gst-plugins-bad1.0 (1.1.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/libtool-force-link-lc: Add a new patch to workaround
      libtool refusing to add -lc multiple times to link in the presence of
      circular dependencies.
   * Allow building with newer OpenCV.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 31 Jul 2013 14:10:25 +0000

gst-plugins-bad1.0 (1.1.3-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jul 2013 08:51:10 +0200

gst-plugins-bad1.0 (1.1.2-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.2.
      - Build depend on orc >= 0.4.17.
      - Build depend on gnutls.
      - Build depend on rsvg >= 2.36.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Add new bluez, fluidsynth, dash, smoothstreaming, opencv,
        openjpeg, sbc, srtp, accurip, audiofxbad, ivtc, midi,
        videofiltersbad, yadif, chromaprint plugins (Closes: #702341).
      - Add newly ported aiff, freeverbm, kate, ladspa, mxf, rsvg
        wildmidi, decklink, fbdev, uvch264, ofa, rfbsrc, openal
        plugins (Closes: #712966).
    + debian/libgstreamer-plugins-bad.install:
      - Add new EGL, insertbin, mpegts and uridownloader libs.
      - Remove removed basevideo library.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Jul 2013 12:44:45 +0200

gst-plugins-bad1.0 (1.0.8-1ubuntu2) saucy; urgency=low

  * debian/patches/libtool-force-link-lc: Add a new patch to workaround
    libtool refusing to add -lc multiple times to link in the presence of
    circular dependencies.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Jul 2013 15:01:16 +0100

gst-plugins-bad1.0 (1.0.8-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.
  * Provide gstreamer-plugins-bad-1.0.pc with Requires on
    gstreamer-plugins-good-1.0 - the package we've moved the referenced
    library to. This maintains compatibility with upstream software and other
    distributions. (LP: #1170923)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Jul 2013 12:00:00 +0100

gst-plugins-bad1.0 (1.0.8-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/build-deps.in:
    + Build-depend on gst-plugins-base >= 1.0.8 for a macro fix.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 13 Jul 2013 11:33:12 +0200

gst-plugins-bad1.0 (1.0.7-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
      in gst-plugins-good1.0 now.
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 26 Apr 2013 21:39:03 +0000

gst-plugins-bad1.0 (1.0.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 14:10:58 +0200

gst-plugins-bad1.0 (1.0.6-1ubuntu1) raring; urgency=low

  * Merge with Debian unstable.  Remaining changes:
    + Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
      in gst-plugins-good1.0 now.
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Apr 2013 17:29:17 +0100

gst-plugins-bad1.0 (1.0.6-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install,
      debian/build-deps.in:
      - Add newly ported OpenGLES2/EGL plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 18:24:57 +0100

gst-plugins-bad1.0 (1.0.5-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
      in gst-plugins-good1.0 now.
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 Feb 2013 12:23:45 +0000

gst-plugins-bad1.0 (1.0.5-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install:
      - Add newly ported mpegpsmux plugin.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 13:56:44 +0100

gst-plugins-bad1.0 (1.0.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Dec 2012 10:35:07 +0100

gst-plugins-bad1.0 (1.0.3-1ubuntu2) raring; urgency=low

  * Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
    in gst-plugins-good1.0 now.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Jan 2013 16:20:30 +0000

gst-plugins-bad1.0 (1.0.3-1ubuntu1) raring; urgency=low

  * Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
    jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 29 Nov 2012 15:25:38 +0000

gst-plugins-bad1.0 (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Nov 2012 15:05:51 +0100

gst-plugins-bad1.0 (1.0.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install:
      - Add subenc and fieldanalysis plugins.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2012 14:13:33 +0200

gst-plugins-bad1.0 (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install:
      - Add frei0r plugin.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2012 11:12:00 +0200

gst-plugins-bad1.0 (1.0.0-1) unstable; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 1.0.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Sep 2012 00:29:02 +0200

gst-plugins-bad1.0 (0.11.99-1) experimental; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.99.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2012 11:26:04 +0200

gst-plugins-bad1.0 (0.11.94-1) experimental; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.94.
      - Build depend on gtk-doc >= 1.12.
    + debian/gstreamer-plugins-bad.install,
      debian/rules:
      - Add the freeze, gdp, id3tag, inter, jpegformat, liveadder,
        pnm, siren, spandsp, speed, dvb, resindvd plugins.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Sep 2012 11:30:28 +0200

gst-plugins-bad1.0 (0.11.93-1) experimental; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.93.
    + debian/build-deps.in:
      - Build depend on libmpg123-dev (>= 1.13).
      - Build depend on GLIB >= 2.32.
    + debian/gstreamer-plugins-bad.install:
      - Add festival, interlace, mimic, mpegtsmux, mpg123
        and soundtouch plugins.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Aug 2012 11:40:32 +0200

gst-plugins-bad1.0 (0.11.92-1) experimental; urgency=low

  * debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Build the cdaudio plugin on kfreebsd too.
  * New upstream release, "Shine On You Crazy Diamond":
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.92.
    + debian/build-deps.in:
      - Require orc >= 0.4.16.
    + debian/patches/0001-vp8enc-fix-target-bitrate-config-with-libvpx-1.1.0.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Jun 2012 13:13:33 +0200

gst-plugins-bad1.0 (0.11.91-3) experimental; urgency=low

  * debian/build-deps.in:
    + Drop unconditional libcdaudio build dependency.
      It's not available on hurd.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Jun 2012 12:42:49 +0200

gst-plugins-bad1.0 (0.11.91-2) experimental; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Drop CELT plugin and add OPUS plugin.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 May 2012 15:11:21 +0200

gst-plugins-bad1.0 (0.11.91-1) experimental; urgency=low

  * New upstream release, "Be he alive, or be he dead":
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.91.
    + debian/gstreamer-plugins-bad.install:
      - Re-add plugins that are ported now.
  * debian/control.in,
    debian/rules:
    + Update automake, autoconf, libtool, debhelper dependencies.
    + Update Standards-Version.
  * debian/build-deps.in:
    + Drop lv2core dependency, not needed anymore.
  * debian/patches/0001-vp8enc-fix-target-bitrate-config-with-libvpx-1.1.0.patch:
    + Patch from upstream GIT to fix vp8 encoder with libvpx 1.1.0.
  * debian/libgstreamer-plugins-bad-dev.install:
    + Drop .a files from the -dev package.
  * debian/rules:
    + Fix dh_gstscancodecs call.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 May 2012 16:00:47 +0200

gst-plugins-bad1.0 (0.11.90-1) experimental; urgency=low

  [ Olivier Naudan ]
  * Imported Upstream version 0.11.90
  * Imported debian/ from gst-plugins-bad 0.10.23-1
  * Updated debian/ for GStreamer 1.0
  * Removed gstreamer-sdl, not ported to 0.11
  * gstreamer-plugins-bad.install: Removed the plugins that have not been ported
  * gstreamer-plugins-bad.install: Removed schemas
  * gstreamer-plugins-bad.install: Added presets (.prs)
  * debian/rules: disable pvrvideosink, until it is ported to gst 0.11

  [ Sebastian Dröge ]
  * Build-depend on GLib >= 2.31.14.
  * Remove obsolete Provides and Replaces
  * Merge changes from 0.10.23-2.
  * Update copyright

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 May 2012 20:06:18 +0200

gst-plugins-bad0.11 (0.11.1-1~ppa1) oneiric; urgency=low

  * New upstream release, 0.11.1

 -- Olivier Naudan <o-naudan@ti.com>  Thu, 01 Mar 2012 13:02:01 +0100

gst-plugins-bad0.10 (0.10.23-1) unstable; urgency=low

  * New upstream stable release, "The Game Has Changed":
    + debian/rules,
      debian/build-deps.in:
      - (Build-) depend on GStreamer core/base >= 0.10.36.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 10:58:52 +0100

gst-plugins-bad0.10 (0.10.22.3-2) experimental; urgency=low

  * debian/control.in,
    debian/gstreamer-plugins-bad.install,
    debian/libgstreamer-plugins-bad-dev.install,
    debian/libgstreamer-plugins-bad.install,
    debian/rules:
    + Split the libraries into their own package and add a -dev package.
      The API of the library is not guaranteed to be stable and as such
      the shlibs of the library package are very strict and will require
      dependant libraries to get a rebuild after every new upstream version.
      The libraries will be required by gstreamer-vaapi.
      Thanks to Timo Aaltonen <tjaalton@ubuntu.com> for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Feb 2012 09:45:25 +0100

gst-plugins-bad0.10 (0.10.22.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_dtsdec-libs.patch,
      debian/patches/02_teletextdec-subdirs.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Feb 2012 10:52:44 +0100

gst-plugins-bad0.10 (0.10.22.2-2) experimental; urgency=low

  * debian/control.in:
    + Build-depend on automake (>= 1.10), autoconf (>= 2.60) and
      libtool (>= 2.0) to make dh-autoreconf actually work.
  * debian/control.in:
    + Pre-depend on ${misc:Pre-Depends} for multi-arch.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Dec 2011 10:18:38 +0100

gst-plugins-bad0.10 (0.10.22.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer core/base 0.10.35.2.
      - Build-depend on GLib 2.24.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install,
      debian/gstreamer-amrwbenc.install,
      debian/README.Debian:
      - Add audiovisualizers, cdaudio, faceoverlay, freeverb,
        inter, openal, removesilence, smooth, spandsp, teletextdec,
        voaacenc, voamrwbenc plugins.
      - Remove invtelecine, mpeg4videoparse plugins.
      - Remove amrwbenc extra plugin.
    + debian/patches/01_path-max.patch:
      - Dropped, merged upstream.
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed to apply cleanly again.
    + debian/patches/01_dtsdec-libs.patch:
      - Add libgstbase to the libraries of dtsdec.
    + debian/patches/02_teletextdec-subdirs.patch:
      - Add the teletextdec directory to SUBDIRS.
  * debian/control.in:
    + Suggest frei0r-plugins (Closes: #633097).
  * debian/build-deps.in,
    debian/compat,
    debian/control.in,
    debian/gstreamer-amrwbenc.install,
    debian/gstreamer-faac.install,
    debian/gstreamer-mpeg2enc.install,
    debian/gstreamer-plugins-bad.install,
    debian/gstreamer-sdl.install,
    debian/rules:
    + Transition package to multi-arch (Closes: #647487).
      Patch taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Dec 2011 10:41:20 +0100

gst-plugins-bad0.10 (0.10.22-3) unstable; urgency=low

  * Add xvid to the bad plugin set as it's available in debian now.
  * Remove any reference to LAME or MP3 from README.Debian.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 29 Jul 2011 13:24:53 +0200

gst-plugins-bad0.10 (0.10.22-2) unstable; urgency=low

  * debian/patches/01_path-max.patch:
    + Don't use PATH_MAX, it's not defined on GNU Hurd and others.
      Thanks to Pino Toscano for the patch (Closes: #626795).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 May 2011 09:13:54 +0200

gst-plugins-bad0.10 (0.10.22-1) unstable; urgency=low

  * New upstream release, "Toy Piano":
    + debian/patches/99_decklink.patch,
      debian/patches/99_decklink-linking.patch:
      - Dropped, merged upstream.
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base 0.10.33.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 May 2011 15:55:38 +0200

gst-plugins-bad0.10 (0.10.21.3-1) experimental; urgency=low

  * New upstream pre-release.
  * debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Enable the decklink and linsys plugins.
  * debian/patches/99_decklink.patch,
    debian/patches/99_decklink-linking.patch:
    + Add decklink to sys/Makefile.am SUBDIRS and check
      for pthread.h and link to pthread.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Apr 2011 09:20:34 +0200

gst-plugins-bad0.10 (0.10.21.2-1) experimental; urgency=low

  [ Alessandro Decina ]
  * debian/rules:
    + Include dh-autoreconf cdbs rule
  * debian/build-deps.in:
    + Add dependency on dh-autoreconf

  [ Loïc Minier ]
  * Use linux-any in build-deps instead of type-handling.
  * Rework sed calls to avoid cat | sed and sed | sed.
  * s/amrwb/amrwbenc/ in a leftover case statement in debian/extra; thanks
    Mohamed Amine IL Idrissi; closes: #592757.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/patches/01_soundtouch-pc.patch,
      debian/patches/02_shm_fixes.patch:
      - Dropped, merged upstream.
    + debian/build-deps.in:
      - Update ORC build dependency to >= 0.4.11.
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base >= 0.10.32.2.
    + debian/build-deps.in,
      debian/rules,
      debian/gstreamer-plugins-bad.install:
      - Remove audioparsersbad and qtmux plugins, they moved to -good.
      - Add curl, fieldanalysis, fragmented, mpegtsdemux, patchdetect,
        rtpvp8, sdi, videofiltersbad and videoparsersbad plugins.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 17 Apr 2011 11:10:36 +0200

gst-plugins-bad0.10 (0.10.21-4) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 15:33:52 +0100

gst-plugins-bad0.10 (0.10.21-3) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/build-deps.in:
    + Build depend on libsoundtouch-dev (>= 1.5.0).
  * debian/control.in:
    + Remove conflicts for the Fluendo MPEG demuxer/muxer packages. They're
      not in the archive anymore and if they were they wouldn't conflict
      anymore because of changes in gst-plugins-bad.

  [ Sjoerd Simons ]
  * debian/patches/02_shm_fixes.patch
    * Added, various fixes for the SHM plugin (crasher, potential race
      conditions). From upstream git

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 16 Mar 2011 21:59:38 +0000

gst-plugins-bad0.10 (0.10.21-2) experimental; urgency=low

  * debian/build-deps.in,
    debian/patches/01_soundtouch-pc.patch:
    + The soundtouch pkg-config file is nowadays called soundtouch.pc and
      the name of the -dev package changed too (Closes: #612050).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 10:40:46 +0100

gst-plugins-bad0.10 (0.10.21-1) experimental; urgency=low

  * New upstream stable release, "Pink Noise":
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.32.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Jan 2011 14:12:31 +0100

gst-plugins-bad0.10 (0.10.20.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.31.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2011 21:20:29 +0100

gst-plugins-bad0.10 (0.10.20.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.31.3

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Jan 2011 13:59:14 +0100

gst-plugins-bad0.10 (0.10.20.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/build-deps.in,
    debian/rules:
    + Use dpkg-vendor instead of lsb_release.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.31.2
      - Require ORC >= 0.4.7.
    + debian/rules,
      debian/gstreamer-plugins-bad.install:
      - Drop the alsaspdif plugin, the functionality is in the alsa plugin now.
      - Drop the selector and valve plugins, they're in GStreamer core now.
      - Drop the jack plugin, it's in gst-plugins-good now.
      - Add the new camerabin2, colorspace, dvbsuboverlay, interlace,
        jp2kdecimator and y4mdec plugins.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Jan 2011 15:17:04 +0100

gst-plugins-bad0.10 (0.10.20-2) experimental; urgency=low

  * debian/build-deps.in:
    + Add the epoch to the orc build dependency to get dependencies on
      the correct version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:26:42 +0200

gst-plugins-bad0.10 (0.10.20-1) experimental; urgency=low

  * New upstream release, "For it is a Human Number".

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Sep 2010 12:37:05 +0200

gst-plugins-bad0.10 (0.10.19.5-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Aug 2010 16:13:21 +0200

gst-plugins-bad0.10 (0.10.19.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Aug 2010 22:00:02 +0200

gst-plugins-bad0.10 (0.10.19.3-1) experimental; urgency=low

  * debian/build-deps.in:
    + Fix build dependency on libdvdnav-dev to be ignored
      on GNU Hurd for real now (Closes: #585095).
  * New upstream pre-release:
    + debian/patches/01_wildmidi-0.2.3.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base 0.10.30.
      - Build depend on orc instead of liboil.
      - Build depend on GLib >= 2.20 and GTK >= 2.14.
      - Build depend on celt >= 0.5.0.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Add the new coloreffects, gaudieffects, geometrictransform,
        gsettingselements, ivfparse, rtmpsrc, shm and videomaxrate
        plugins.
  * debian/rules,
    debian/compat,
    debian/control.in,
    debian/source/format,
    debian/patches/*:
    + Update to debhelper compat level 7.
    + Update to source format 3.0 (quilt).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Aug 2010 11:44:23 +0200

gst-plugins-bad0.10 (0.10.19-2) unstable; urgency=low

  [Loïc Minier]
  * Fail before generating control if type-handling isn't installed; avoids
    silently generating a bogus control file.

  [Sebastian Dröge]
  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Don't build the resindvd plugin on GNU Hurd (Closes: #585095).
  * debian/patches/99_autoreconf.patch,
    debian/patches/01_wildmidi-0.2.3.patch,
    debian/build-deps.in:
    + Build against wildmidi 0.2.3 because of API changes and many
      bugfixes.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 08:46:02 +0200

gst-plugins-bad0.10 (0.10.19-1) unstable; urgency=low

  * New upstream release, "The World Kicked Back".

 -- Sebastian Dröge <slomo@debian.org>  Mon, 31 May 2010 05:43:20 +0200

gst-plugins-bad0.10 (0.10.18.3-2) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable and ship the VP8 encoder/decoder plugin.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 07:10:49 +0200

gst-plugins-bad0.10 (0.10.18.3-1) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add the zbar plugin, now that zbar >= 0.9 is available.
  * New upstream pre-release:
    + debian/patches/*:
      - Drop all VP8/WebM patches and other patches that are upstream
        now. VP8 plugin is still not enabled and waiting for libvpx.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 26 May 2010 15:35:21 +0200

gst-plugins-bad0.10 (0.10.18.2-2) unstable; urgency=low

  * debian/patches/00*,
    debian/patches/98_autoreconf.patch,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add VP8 plugin.
  * debian/control.in:
    + Let the -doc package depend on the GStreamer core/base documentation
      for cross references.
  * Upload to unstable, the VP8 plugin is disabled until libvpx
    is accepted.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 May 2010 08:09:15 +0200

gst-plugins-bad0.10 (0.10.18.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/gstreamer-plugins-bad.install:
      - Remove the oss4audio plugin, it was moved to gstreamer0.10-plugins-good.
      - Add the segmentclip and invtelecine plugins.
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer core/base >= 0.10.29.
  * debian/build-deps.in:
    + Build depend on GStreamer core/base documentation to get
      correct cross references.
  * debian/patches/01_resindvdbin-linking.patch:
    + Fix linking of the resindvdbin plugin.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 May 2010 10:03:19 +0200

gst-plugins-bad0.10 (0.10.18-2) unstable; urgency=low

  * debian/gstreamer-plugins-bad.install:
    + Add camerabin plugin.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 17 Mar 2010 14:54:11 +0100

gst-plugins-bad0.10 (0.10.18-1) unstable; urgency=low

  * New upstream stable release, "Dimishing Returns":
    + debian/rules,
      debian/build-deps.in:
      - Build depend on gstreamer and gst-plugins-base >= 0.10.27.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 10:06:36 +0000

gst-plugins-bad0.10 (0.10.17.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on gstreamer and gst-plugins-base >= 0.10.26.3.
    + debian/patches/01_faad-linking.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 08:29:47 +0100

gst-plugins-bad0.10 (0.10.17.2-1) experimental; urgency=low

  * New upstream pre-release:
    + Fixes midi plugin that claims that it sometimes doesn't
      support files (Closes: #502952, #468083).
    + debian/build-deps.in,
      debian/rules:
      - Build depend on gstreamer and gst-plugins-base >= 0.10.26.2.
    + debian/build-deps.in:
      - Update orc and gtk build dependencies.
    + debian/gstreamer-plugins-bad.install,
      debian/build-deps.in:
      - Add adpcmdec, adpcmenc, dataurisrc, flite, jpegformat plugins.
      - Remove shapewipe plugin, it was moved to gst-plugins-good.
    + debian/patches/01_cog-orc-memcpy.patch,
      debian/patches/02_cog-link-lm.patch,
      debian/patches/03_frei0r.patch:
      - Dropped, merged upstream.
    + debian/control.in:
      - Add Conflict with gst-plugins-ugly << 0.10.13.2 because of the
        id3mux plugin.
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add LV2 plugin again, now that broken plugins
      can't crash the main process anymore.
  * debian/patches/01_faad-linking.patch:
    + Fix linking of the faad plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2010 14:06:38 +0100

gst-plugins-bad0.10 (0.10.17-4) unstable; urgency=low

  * debian/build-deps.in:
    + And remove the unnecessary build dependencies for SDL again as
      bug #565579 is fixed now (Closes: #567775).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Feb 2010 05:35:12 +0100

gst-plugins-bad0.10 (0.10.17-3) unstable; urgency=low

  * debian/patches/03_frei0r.patch:
    + Patch from upstream GIT to ensure correct GObject property
      names (Closes: #565505).
  * debian/build-deps.in:
    + Add some unnecessary build dependencies to be able to build the
      SDL plugin, see libsdl1.2 bug #565579.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 16 Jan 2010 17:04:34 +0100

gst-plugins-bad0.10 (0.10.17-2) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable cog plugin.
  * debian/patches/01_cog-orc-memcpy.patch,
    debian/patches/02_cog-link-lm.patch:
    + Fix build of the cog plugin.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Dec 2009 13:20:24 +0100

gst-plugins-bad0.10 (0.10.17-1) unstable; urgency=low

  * New upstream release, "Anny bobany".

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Nov 2009 09:18:15 +0100

gst-plugins-bad0.10 (0.10.16.3-1) experimental; urgency=low

  * New upstream pre-release:
    + Fixes build with celt >= 0.7.0.
  * debian/rules:
    + Add gstreamer0.10-plugins-bad's library directory to LD_LIBRARY_PATH
      before calling dh_gstscancodecs. Otherwise some plugins can't be
      loaded because of missing libraries.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 13 Nov 2009 07:58:42 +0100

gst-plugins-bad0.10 (0.10.16.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/gstreamer-plugins-bad.install:
      - Rename aiffparse plugin to aiff.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Nov 2009 10:28:32 +0100

gst-plugins-bad0.10 (0.10.16-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/extra, debian/gstreamer-amrwbenc.install, debian/README.Debian:
    + Renamed the gstreamer-amrwb extra package to gstreamer-amrwbenc. There's
      still the amrwb encoder in gst-plugins-bad because the opencore-amr
      codecs in gst-plugins-ugly have no amrwb encoder.

  [ Sebastian Dröge ]
  * New upstream bugfix release, "Sensible Precaution":
    + Fixes build of the faac plugin (Closes: #552080).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Oct 2009 06:17:23 +0200

gst-plugins-bad0.10 (0.10.15-1) unstable; urgency=low

  * New upstream release, "Ending the war".

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Oct 2009 19:48:35 +0200

gst-plugins-bad0.10 (0.10.14.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Oct 2009 14:36:20 +0200

gst-plugins-bad0.10 (0.10.14.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Oct 2009 09:02:55 +0200

gst-plugins-bad0.10 (0.10.14.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Remove xdgmime plugin, it's in gst-plugins-base now.
      - Add videomeasure, pnm, rsvg and mpegpsmux plugins.
    + debian/rules,
      debian/build-deps.in:
      - Update GStreamer and gst-plugins-base build dependencies.
    + debian/patches/02_libass-0.9.7.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Oct 2009 17:14:50 +0200

gst-plugins-bad0.10 (0.10.14-4) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Disable the LV2 plugin until it works reliable and doesn't crash
      GStreamer on startup every time (Closes: #549189).
      Unfortunately I can't reproduce that crash...

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 Oct 2009 14:09:46 +0200

gst-plugins-bad0.10 (0.10.14-3) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add the LV2 plugin.
  * debian/gstreamer-plugins-bad.install,
    debian/patches/01_static-unstable-libraries.patch:
    + Install the experimental helper libraries into /usr/lib but
      don't ship any headers or anything else. Static linking
      causes problems if multiple plugins use the same library.
  * debian/patches/99_automake.patch:
    + Dropped, not needed anymore.
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Drop the neonhttpsrc plugin, the souphttpsrc plugin from
      gst-plugins-good is better in all cases.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Sep 2009 12:43:23 +0200

gst-plugins-bad0.10 (0.10.14-2) unstable; urgency=low

  * debian/control.in:
    + Add a Replaces for gstreamer0.10-plugins-really-bad from the
      Debian Multimedia repository, which also contains the Dirac plugin
      (Closes: #544667).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 Sep 2009 11:43:32 +0200

gst-plugins-bad0.10 (0.10.14-1) unstable; urgency=low

  * New upstream release, 'Your New Best Friends'.
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add game-music-emu plugin.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 30 Aug 2009 11:02:59 +0200

gst-plugins-bad0.10 (0.10.13.5-2) experimental; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add mimic plugin.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 26 Aug 2009 19:02:30 +0200

gst-plugins-bad0.10 (0.10.13.5-1) experimental; urgency=low

  * New upstream pre-release.
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add Dirac plugin that uses the Dirac reference implementation.
  * debian/control.in:
    + Update Standards-Version to 3.8.3, no additional changes needed.
  * debian/build-deps.in,
    debian/patches/02_libass-0.9.7.patch:
    + Add support for building against libass >= 0.9.7.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 26 Aug 2009 17:40:24 +0200

gst-plugins-bad0.10 (0.10.13.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/build-deps.in:
      - Build depend on libass-dev (<< 0.9.7) because of API changes
        in that version that we don't support yet.
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Remove gmyth plugin because libgmyth will be removed (Closes: #542128).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Aug 2009 08:55:24 +0200

gst-plugins-bad0.10 (0.10.13.2-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * debian/extra:
    + Use @GST_PKGNAME@ instead of hard-coded "gstreamer0.10".
  * debian/extra, debian/gstreamer-x264.install, debian/README.Debian:
    + Removed all references to the x264 plugin which has been moved to
      gst-plugins-ugly0.10.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + Fixes integer overflow in MPEG demuxer that prevents playback of files
      larger than 4GB (Closes: #537392).
    + debian/patches/01_static-unstable-libraries.patch,
      debian/patches/99_automake.patch:
      - Only build static libraries, they're not API/ABI stable yet
        but are used by some plugins already.
    + debian/rules,
      debian/build-deps.in:
      - Update build dependencies.
    + debian/gstreamer-plugins-bad.install:
      - Add new asfmux, frei0r, kate and schroedinger plugins.
      - Remove rtpmanager plugin, which was moved to gst-plugins-good.
    + debian/control.in:
      - Add Conflicts/Replaces/Provides for gstreamer0.10-schroedinger.
  * debian/control.in:
    + Update Standards-Version to 3.8.2, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 Aug 2009 07:20:46 +0200

gst-plugins-bad0.10 (0.10.13-1) unstable; urgency=low

  * New upstream release, 'Supersonic Rocket':
    + debian/patches/01_hdvparse-link-libm.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jun 2009 13:47:30 +0200

gst-plugins-bad0.10 (0.10.12.2-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * debian/extra:
    + gstreamer0.10-faac recommends gstreamer0.10-ffmpeg for
      the ffmux_mp4 element.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/gstreamer-plugins-bad.install:
      - Add new plugins: hdvparse, id3tag and shapewipe.
    + debian/control.in:
      - Conflict with gst-plugins-ugly << 0.10.11.2 because of
        the id3tag plugin.
    + debian/patches/01_hdvparse-link-libm.patch:
      - Link hdvparse with -lm to fix unresolved symbols.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 06 Jun 2009 19:35:24 +0200

gst-plugins-bad0.10 (0.10.12-1) unstable; urgency=low

  * debian/build-deps.in:
    + Remove liblrdf build dependency as it only causes crashes
      in dependend packages like pidgin. There seems to be some
      kind of conflict if libraptor/liblrdf and libxml2 are used
      in the same process (Closes: #523345).
  * New upstream release, 'More than I can handle'.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 May 2009 23:19:08 +0200

gst-plugins-bad0.10 (0.10.11.3-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/control.in:
    + Update Standards-Version to 3.8.1, no additional changes needed.
  * New upstream pre-release:
    + debian/gstreamer-plugins-bad.install:
      - Remove flv, deinterlace and y4menc plugins that were moved
        to gst-plugins-good.

  [ Fabian Greffrath ]
  * debian/control, debian/control.in, debian/extra:
    + Removed duplicate Section fields from gstreamer0.10-plugins-bad and
      the extra plugins.
    + Changed Section to debug for gstreamer0.10-plugins-bad-dbg.
    + Added Depends on ${misc:Depends} to gstreamer0.10-plugins-bad-dbg and
      the extra plugins.
    + Improved duplicate short description for gstreamer0.10-plugins-bad-dbg.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 16 May 2009 14:04:37 +0200

gst-plugins-bad0.10 (0.10.11.2-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * debian/TODO.Debian:
    + Removed, I don't think any of these things are still relevant.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/build-deps.in,
      debian/rules:
      - Update build dependencies.
    + debian/gstreamer-plugins-bad.install:
      - Add new debugutilsbad plugin.
  * debian/build-deps.in:
    + Use unversioned libjack-dev b-d (Closes: #526109).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 May 2009 09:51:24 +0200

gst-plugins-bad0.10 (0.10.11-2) unstable; urgency=low

  * Upload to unstable, now that the DirectFB transition is done.
  * debian/build-deps.in:
    + Build depend on liblrdf0-dev for the LADSPA plugin to enable support
      for reading RDF files for informations about LADSPA plugins.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Mar 2009 14:41:32 +0200

gst-plugins-bad0.10 (0.10.11-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * New upstream release, 'A precious stone'.

  [ Fabian Greffrath ]
  * debian/extra:
    + Added XB-GStreamer-* fields for the extra packages.
  * debian/rules:
    + Run debian/extra with sh (it has no execute permissions).
  * debian/build-deps, debian/control, debian/rules:
    + Order, wrap and indent Build-Depends; this will improve interdiffs for
      packages that provide the extra plugins.

  [ Sebastian Dröge ]
  * Upload to experimental to prevent blocking the ffmpeg/etc transition.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Mar 2009 07:36:33 +0100

gst-plugins-bad0.10 (0.10.10.3-1) unstable; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 14 Mar 2009 19:49:34 +0100

gst-plugins-bad0.10 (0.10.10.2-1) unstable; urgency=low

  * New upstream pre-release:
    + debian/patches/01_bpmdetect-stack-overflow.patch:
      - Dropped, merged upstream.
    + debian/build-deps.in:
      - Update gst-plugins-base build dependency to >= 0.10.22.
      - Update library build dependencies according to configure.ac.
    + debian/control.in,
      debian/gstreamer-plugins-bad.install:
      - This release now contains all plugins from gst-plugins-farsight
        and thus replaces files of it.
      - Add new plugins: assrender, autoconvert, dtmf, liveadder,
        rtpmux, siren, valve, xdgmime.
      - Remove filter plugin, it's obsoleted by audioiirfilter from
        gst-plugins-good.
      - Remove twolame plugin, it was moved to gst-plugins-ugly.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Mar 2009 08:23:48 +0100

gst-plugins-bad0.10 (0.10.10-3) unstable; urgency=low

  * debian/patches/01_bpmdetect-stack-overflow.patch:
    + Patch from upstream GIT to fix stack overflow in the bpmdetect
      plugin.
  * debian/patches/02_no-Werror.patch,
    debian/rules:
    + Pass -Wno-error via C(XX)FLAGS instead of patching configure.
  * debian/build-deps.in:
    + Build depend on libdca-dev instead of libdts-dev, which is the
      successor. libdts-dev is still necessary for the dts.h header.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Feb 2009 12:14:32 +0100

gst-plugins-bad0.10 (0.10.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Feb 2009 20:12:00 +0100

gst-plugins-bad0.10 (0.10.10-1) experimental; urgency=low

  * New upstream release, 'Keep the dogies rollin'':
    + debian/rules:
      - Update GStreamer build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jan 2009 09:12:34 +0100

gst-plugins-bad0.10 (0.10.9.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_ladspa-modules.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 11 Jan 2009 21:31:03 +0100

gst-plugins-bad0.10 (0.10.9.2-1) experimental; urgency=low

  * New upstream pre-release:
    + A lot DVD nagivation fixes (Closes: #506573).
    + debian/patches/01_ladspa-modules.patch:
      - Add plugin dependency for the LADSPA modules to make sure
        that the plugin is updated when new LADSPA modules are installed.
    + debian/build-deps.in,
      debian/rules:
      - Update build dependencies.
    + debian/gstreamer-plugins-bad.install:
      - Add new plugins.
      - Remove speexresample (it's in gst-plugins-base as audioresample now).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Jan 2009 07:59:36 +0100

gst-plugins-bad0.10 (0.10.9-1) experimental; urgency=low

  * New upstream release, 'Matters Of Fact'.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 25 Oct 2008 09:39:49 +0200

gst-plugins-bad0.10 (0.10.8.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 22 Oct 2008 11:20:04 +0200

gst-plugins-bad0.10 (0.10.8.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/gstreamer-plugins-bad.install:
      - Add apexsink plugin.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Oct 2008 10:23:50 +0200

gst-plugins-bad0.10 (0.10.8.2-1) experimental; urgency=low

  * New upstream pre-release:
    + Some Midi playback fixes (Closes: #489170).
    + debian/patches/03_resindvd-update.patch:
      - Dropped, merged upstream.
    + debian/rules:
      - Build depend on gstreamer >= 0.10.21.
    + debian/build-deps.in:
      - Build depend on openssl.
      - Build depend on CELT.
      - Build depend on Jasper2k.
      - Build depend on TwoLAME.
    + debian/gstreamer-plugins-bad.install:
      - Add aiffparse, celt, dccp, jp2k, mpegdemux, mpegtsmux, pcapparse,
        scaletempo and twolame plugins (Closes: #482970).
    + debian/control.in:
      - Conflict with gstreamer0.10-fluendo-mpegdemux and
        gstreamer0.10-fluendo-mpegmux as the mpegdemux and mpegtsmux plugins
        from gst-plugins-bad are their successors.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 11 Oct 2008 15:48:19 +0200

gst-plugins-bad0.10 (0.10.8-3) experimental; urgency=low

  * debian/patches/03_resindvd-update.patch:
    + Update the resindvd plugin from latest CVS to get some important
      bugfixes.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 11 Oct 2008 12:59:59 +0200

gst-plugins-bad0.10 (0.10.8-2) experimental; urgency=low

  * debian/rules,
    debian/control.in:
    + Use the new automatic plugin installation infrastructure.
  * debian/control.in:
    + Wrap control fields.
    + Depend on gstreamer0.10-plugins-base as some plugins need it.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Aug 2008 18:43:04 +0200

gst-plugins-bad0.10 (0.10.8-1) experimental; urgency=low

  * New upstream release, 'Vapour Trails'.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 01 Aug 2008 11:33:33 +0200

gst-plugins-bad0.10 (0.10.7.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/03_resindvd-configure.patch,
      debian/patches/04_ladspa-linking.patch,
      debian/patches/05_resindvd-missing-header.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Jul 2008 12:35:24 +0200

gst-plugins-bad0.10 (0.10.7.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/gstreamer-plugins-bad.install:
      - Remove replaygain and interleave plugins.
      - Add deinterlace2 plugin.
    + debian/gstreamer-plugins-bad.install,
      debian/build-deps.in:
      - Add resindvd plugin.
    + debian/rules,
      debian/build-deps.in:
      - Update gstreamer and gst-plugins-base build dependency.
    + debian/patches/02_wildmidi-config.patch,
      debian/patches/03_rtspsession_rtcp_bye.patch,
      debian/patches/04_mpeg4videoparse.patch:
      - Dropped, merged upstream.
    + Ported to the new libmpcdec API (Closes: #476380).
    + Fixes playback of certain mms streams (Closes: #467268).
  * debian/patches/03_resindvd-configure.patch:
    + Fix configure check for the resindvd plugin.
  * debian/patches/04_ladspa-linking.patch:
    + Link ladspa with -ldl to prevent unresolved symbols.
  * debian/patches/05_resindvd-missing-header.patch:
    + Add missing header file.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 20 Jul 2008 12:07:37 +0200

gst-plugins-bad0.10 (0.10.7-2) unstable; urgency=low

  * debian/patches/03_rtspsession_rtcp_bye.patch
    + Added. Send RTCP BYE on EOS (From upstream CVS)
  * debian/control: Add myself to uploaders
  * debian/patches/04_mpeg4videoparse.patch
    + Added. mpeg4videoparse update from CVS
  * debian/rules: Append extra_plugins entries to debian/control instead of
    truncating it (Patch from Mike Massonnet) (Closes: #481034)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Jun 2008 16:08:37 +0200

gst-plugins-bad0.10 (0.10.7-1) unstable; urgency=low

  * New upstream release, 'House of Cards'.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Apr 2008 07:42:15 +0200

gst-plugins-bad0.10 (0.10.6.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Apr 2008 10:29:25 +0200

gst-plugins-bad0.10 (0.10.6.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_timidity-missing-header.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Apr 2008 10:36:44 +0200

gst-plugins-bad0.10 (0.10.6.2-2) experimental; urgency=low

  * debian/patches/02_no-Werror.patch:
    + Don't build with -Werror to fix FTBFS on some architectures.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Apr 2008 05:29:54 +0200

gst-plugins-bad0.10 (0.10.6.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/build-deps.in,
      debian/rules:
      - Update build dependencies.
    + debian/rules,
      debian/gstreamer-plugins-bad.install:
      - Ship new dc1394, ofa, oss4audio, subenc plugins.
      - Drop souphttpsrc plugin which moved to gst-plugins-good.
    + debian/patches/01_wildmidi-build.patch,
      debian/patches/03_soup-icecast.patch,
      debian/patches/04_soup-primary-rank.patch,
      debian/patches/05_soup-no-dav.patch,
      debian/patches/06_neon-28.patch,
      debian/patches/10_fix-faad-header-check.patch
      debian/patches/75_build_docs_without_python_xml.patch,
      debian/patches/80_unit-tests.patch:
      - Dropped, merged upstream.
    + debian/patches/02_wildmidi-config.patch:
      - Updated for the new version.
    + debian/patches/01_timidity-missing-header.patch:
      - Add missing timidity header file.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Apr 2008 12:10:32 +0200

gst-plugins-bad0.10 (0.10.6-7) unstable; urgency=low

  * debian/patches/06_neon-28.patch:
    + Fix build with neon 0.28.
  * debian/build-deps.in:
    + Use neon-gnutls instead of plain neon.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Apr 2008 13:19:03 +0200

gst-plugins-bad0.10 (0.10.6-6) unstable; urgency=low

  * debian/patches/03_soup-icecast.patch:
    + Set correct caps on the srcpad if we have an icecast server. Fixes
      glitches/crackling (Closes: #472135).
  * debian/patches/04_soup-primary-rank.patch:
    + Give souphttpsrc RANK_PRIMARY so it's used always as HTTP source if
      available.
  * debian/patches/05_soup-no-dav.patch:
    + Don't use soup for dav/davs. This is better handled by GIO and GnomeVFS
      as they provide authentication.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Mar 2008 19:30:07 +0100

gst-plugins-bad0.10 (0.10.6-5) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Include the soup HTTP plugin.
  * debian/build-deps.in:
    + Drop python-xml build dependency for real now.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 05:31:11 +0100

gst-plugins-bad0.10 (0.10.6-4) unstable; urgency=low

  * debian/patches/75_build_docs_without_python_xml.patch:
    + Added. Build documentation using xml.dom.minidom instead of pyxml. Patch
      by Sebastian Dröge.
  * debian/control: Drop build-depend on python-xml
  * debian/patches/10_fix-faad-header-check.patch:
    + Added. Fix faad header check to match the check faad2 does. Fixes
      playback of various streams.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 08 Mar 2008 19:59:00 +0100

gst-plugins-bad0.10 (0.10.6-3) unstable; urgency=low

  * debian/extra,
    debian/gstreamer-amrwb.install,
    debian/gstreamer-mpeg2enc.install,
    debian/README.Debian:
    + Patch by Fabian Greffrath to add support for an amrwb and mpeg2enc
      package and making the use of MPEG more conform (Closes: #467439).
  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Add the gmyth plugin.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 08:35:54 +0100

gst-plugins-bad0.10 (0.10.6-2) unstable; urgency=low

  * debian/extra:
    + Update for new xvid package names in Debian Multimedia and Debian
      Unofficial Thanks to Fabian Greffrath (Closes: #466861).
      Also add support for x264 and do some small cleanup.
  * debian/rules:
    + SPC is only available on Linux-i386, enable it as such. Fixes
      FTBFS on kfreebsd-i386.
  * debian/build-deps.in,
    debian/patches/01_wildmidi-build.patch,
    debian/patches/02_wildmidi-config.patch,
    debian/gstreamer-plugins-bad.install:
    + Enable the wildmidi plugin and change the config file path to our
      default (Closes: #346455).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 Feb 2008 07:03:11 +0100

gst-plugins-bad0.10 (0.10.6-1) unstable; urgency=low

  * New upstream release, "A Big Deep Breath":
    + debian/patches/01_linking-fixes.patch:
      - Dropped, merged upstream.
  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable the alsaspdif, libcdaudio, dvb, fbdev and vcd plugins
      only on Linux architectures to try to fix FTBFS on kfreebsd.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 21 Feb 2008 13:34:46 +0100

gst-plugins-bad0.10 (0.10.5.4-1) experimental; urgency=low

  * New upstream pre-release.
  * debian/control.in:
    + Add Replaces for gstreamer0.10-plugins-bad-multiverse (<< 0.10.5-2) to
      keep the Ubuntu delta lower and don't break Debian installation with
      some Ubuntu packages.
  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Add -Wl,-z,defs -Wl,-O1 -Wl,--as-needed to LDFLAGS to remove some
      unnecessary dependencies on various packages.
  * debian/patches/01_linking-fixes.patch:
    + Link the tta plugin with libm.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Feb 2008 06:55:50 +0100

gst-plugins-bad0.10 (0.10.5.3-1) experimental; urgency=low

  * New upstream pre-release.
  * debian/build-deps.in:
    + Build depend on gstreamer0.10-plugins-base for the unit tests.
  * debian/patches/80_unit-tests.patch:
    + Disable some elements for the generic/states unit test.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Feb 2008 13:18:33 +0100

gst-plugins-bad0.10 (0.10.5.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Decide the package name and url depending on the distribution.
  * debian/build-deps.in:
    - Build-Depend on lsb-release.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + Fixes FTBFS if built twice in a row (Closes: #424399).
    + Adds support for VCD playback (Closes: #454599).
    + Fixes conflict between Fluendo mpeg demuxer and
      DTS decoder (Closes: #448411).
    + debian/build-deps.in,
      debian/control.in:
      - Update liboil and gstreamer build dependencies.
      - Add and update a few build dependencies.
    + debian/gstreamer-plugins-bad.install:
      - Add dvdspu, festival, flv, mpegtsparse, mpeg4videoparse, rawparse,
        sdp, selector, speexresample, stereo, fbdev, metadata, vcd plugins.
      - Remove equalizer, multifile, spectrum, switch, videoparse, xingheader
        plugins. These have moved to other places now.
      - Sort everything alphabetically.
    + debian/control.in,
      debian/build-deps.in,
      debian/rules:
      - Drop the OpenGL plugin. This will go to a new source package named
        gst-plugins-gl once we have mesa >= 7.1 somewhere.
  * debian/rules:
    + Run the unit test suite but don't fail the build on failures.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Feb 2008 14:04:01 +0100

gst-plugins-bad0.10 (0.10.5-5) unstable; urgency=low

  * debian/rules:
    + Fix GST_REGISTRY envirnment variable setting (Closes: #452568).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Nov 2007 20:02:13 +0100

gst-plugins-bad0.10 (0.10.5-4) unstable; urgency=low

  * debian/rules:
      + Set GST_REGISTRY before the dh_gstscancodecs call to save the registry
        somewhere on buildds without writable home and speed things up a bit.
  * debian/build-deps.in:
      + Remove check from build dependencies. This is only an indirect build
        dependency that is already satisfied by libgstreamer0.10-dev. configure
        only checks for libgstcheck, not check.
   * debian/build-deps.in,
     debian/gstreamer-plugins-bad.install:
     + Enable the DirectFB video sink plugin.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Sep 2007 15:44:46 +0200

gst-plugins-bad0.10 (0.10.5-3) unstable; urgency=low

  * debian/control.in,
    debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Move docs, SDL and GL to a separate package.
    + Create a package with debug symbols.
  * debian/rules:
    + Call dh_gstscancodecs.
  * debian/control:
    + Replace Source-Version with binary:Version to make lintian happy.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Aug 2007 20:22:35 +0200

gst-plugins-bad0.10 (0.10.5-2) unstable; urgency=low

  * debian/build-deps.in:
    + Drop swfdec build dependency. The plugin doesn't work with 0.5.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Aug 2007 10:10:49 +0200

gst-plugins-bad0.10 (0.10.5-1) unstable; urgency=medium

  * Change Maintainer to pkg-gstreamer, add myself to Uploaders and use
    "standard" GStreamer packaging, used for all the other plugin packages too.
  * New upstream version (Closes: #429727):
    + Fixes remaining use of deprecated function (Closes: #436353).
    + Somewhat fixes FTBFS caused by deprecation warnings by not compiling
      with -Werror (Closes: #424559).
  * debian/build-deps.in:
    + Build depend on new enough GStreamer (Closes: #433495).
  * debian/gstreamer-plugins-bad.install,
    debian/build-deps.in:
    + Ship the GSM plugin (Closes: #429594).
    + Ship the dtsdec plugins (Closes: #428742).
    + Ship the ladspa plugin (Closes: #429527).
  * debian/rules,
    debian/gstreamer-plugins-bad.install,
    debian/build-deps.in:
    + Ship the SPC plugin on i386 (Closes: #430045).
  * debian/control.in:
    + Fix typo in package description (Closes: #436664).
  * debian/gstreamer-plugins-bad.install:
    + Don't ship the libgstapp library as it still randomly changes
      API and ABI until it is moved to gst-plugins-good at some point.
    + Don't ship completely unneeded .a files for the plugins.
  * debian/changelog:
    + Urgency medium because of RC bugfixes.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 19 Aug 2007 14:41:31 +0200

gst-plugins-bad0.10 (0.10.4+cvs2007.04.30) unstable; urgency=low

  * Get a CVS version which contains the relevant FAAD patches.
  * Enable FAAD support. (Closes: #399438, #399042, #327163, #403093)

 -- Joe Wreschnig <piman@debian.org>  Mon, 30 Apr 2007 21:42:39 -0700

gst-plugins-bad0.10 (0.10.4-2) unstable; urgency=low

  * Disable spcdec for now, as it's i386-only. (Closes: #420444)

 -- Joe Wreschnig <piman@debian.org>  Sun, 22 Apr 2007 11:58:24 -0700

gst-plugins-bad0.10 (0.10.4-1) unstable; urgency=low

  * New upstream version. (Closes: #419904)
  * Remove patch added in 0.10.3-3.1, as it was merged upstream.
    Thanks to Loic Minier for the fast response and NMU. (Closes: #408213)
  * debian/control: Explain why the modules are "bad". (Closes: #387970)
  * Enable sdlvideosink/sdlaudiosink. (Closes: #404493)
  * Enable jacksink. (Closes: #407679)
  * Enable dvbsrc. (Closes: #418381)
  * Enable spcdec.

 -- Joe Wreschnig <piman@debian.org>  Sat, 21 Apr 2007 17:11:17 -0700

gst-plugins-bad0.10 (0.10.3-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * SECURITY: buffer overflow.
  * Fix potential buffer overflow in gst/modplug/libmodplug/sndfile.cpp;
    CVE-2006-4192; GNOME #385788; from upstream CVS / next upstream release;
    closes: #407956.

 -- Loic Minier <lool@dooz.org>  Mon, 22 Jan 2007 16:05:35 +0100

gst-plugins-bad0.10 (0.10.3-3) unstable; urgency=low

  * debian/rules:
    * Enable v4l2src. (Closes: #379867)
    * Force disabling of MusicBrainz.
    * Allow FAAD=enable environment variable to override build options.
  * README.Debian: Explain how to get FAAD support.

 -- Joe Wreschnig <piman@debian.org>  Mon, 31 Jul 2006 16:38:12 -0500

gst-plugins-bad0.10 (0.10.3-2) unstable; urgency=low

  * Build-Depend on zlib1g-dev. (Closes: #379752)

 -- Joe Wreschnig <piman@debian.org>  Tue, 25 Jul 2006 11:46:05 -0500

gst-plugins-bad0.10 (0.10.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Disable experimental and libneon modules.
  * debian/control: Build-Dep on liboil3-dev.
  * debian/copyright: Add copyrights for new modules.

 -- Joe Wreschnig <piman@debian.org>  Thu, 22 Jun 2006 18:46:04 -0500

gst-plugins-bad0.10 (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on python for building docs.

 -- Joe Wreschnig <piman@debian.org>  Tue, 21 Feb 2006 16:04:33 -0600

gst-plugins-bad0.10 (0.10.0+cvs20060214-2) unstable; urgency=low

  * Update debian/copyright.
  * Explicitly disable more modules.
  * Build and include documentation.

 -- Joe Wreschnig <piman@debian.org>  Wed, 15 Feb 2006 12:24:20 -0600

gst-plugins-bad0.10 (0.10.0+cvs20060214-1) unstable; urgency=low

  * Initial release.

 -- Joe Wreschnig <piman@debian.org>  Tue, 14 Feb 2006 13:22:33 -0600
